<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: settings_forum.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Power Fusion Forum v.2.0.0
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/admin_header.php";
include LOCALE.LOCALESET."admin/settings.php";
include LOCALE.LOCALESET."forum/admin.php";

if (!checkrights("S3") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = $locale['900'];
	} elseif ($_GET['status'] == "pw") {
		$message = $locale['global_182'];
	}
	if ($message) {
		echo "<div class='admin-message'>".$message."</div>\n"; }
}

if (isset($_GET['action']) && $_GET['action'] == "count_posts") {
	$result = dbquery("SELECT post_author, COUNT(post_id) as num_posts FROM ".DB_POSTS." GROUP BY post_author");
	if (dbrows($result)) {
		while ($data = dbarray($result)) {
			$result2 = dbquery("UPDATE ".DB_USERS." SET user_posts='".$data['num_posts']."' WHERE user_id='".$data['post_author']."'");
		}
	}
}

if (isset($_POST['savesettings'])) {
	$error = 0;
	$result = dbquery("UPDATE ".DB_SETTINGS." SET
			numofthreads='".(isnum($_POST['numofthreads']) ? $_POST['numofthreads'] : "5")."',
			forum_ips='".(isnum($_POST['forum_ips']) ? $_POST['forum_ips'] : "103")."',
			attachmax='".(isnum($_POST['attachmax']) ? $_POST['attachmax'] : "150000")."',
			attachtypes='".$_POST['attachtypes']."',
			thread_notify='".(isnum($_POST['thread_notify']) ? $_POST['thread_notify'] : "0")."',
			forum_ranks='".(isnum($_POST['forum_ranks']) ? $_POST['forum_ranks'] : "0")."',
			forum_edit_lock='".(isnum($_POST['forum_edit_lock']) ? $_POST['forum_edit_lock'] : "0")."'
		");
		
		$user_colors = $_POST['color_sadmin']."|".$_POST['color_admin']."|".$_POST['color_member']."|".$_POST['color_bmember'];
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['attach_access']) ? $_POST['attach_access'] : "0")."' WHERE forum_settings_name='attach_access'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET  forum_settings_value='".(isnum($_POST['attach_value']) ? $_POST['attach_value'] : "3")."' WHERE forum_settings_name='attach_value'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['ajax_reply']) ? $_POST['ajax_reply'] : "1")."' WHERE forum_settings_name='ajax_reply'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['awards']) ? $_POST['awards'] : "0")."' WHERE forum_settings_name='awards'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value = '".$_POST['exclusion_forums']."' WHERE forum_settings_name='exclusion_forums'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['forum_icons']) ? $_POST['forum_icons'] : "0")."' WHERE forum_settings_name='forum_icons'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['forum_user_title']) ? $_POST['forum_user_title'] : "0")."' WHERE forum_settings_name='forum_user_title'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['html_access']) ? $_POST['html_access'] : "0")."' WHERE forum_settings_name='html_access'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['info_panel']) ? $_POST['info_panel'] : "0")."' WHERE forum_settings_name='info_panel'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['posts_num']) && $_POST['posts_num'] > 0 ? $_POST['posts_num'] : "20")."' WHERE forum_settings_name='posts_num'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['max_posts']) ? $_POST['max_posts'] : "100")."' WHERE forum_settings_name='max_posts'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['not_avatar']) ? $_POST['not_avatar'] : "0")."' WHERE forum_settings_name='not_avatar'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['rating_threads']) ? $_POST['rating_threads'] : "0")."' WHERE forum_settings_name='rating_threads'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['rss_feeds']) ? $_POST['rss_feeds'] : "0")."' WHERE forum_settings_name='rss_feeds'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['see_option']) ? $_POST['see_option'] : "0")."' WHERE forum_settings_name='see_option'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['similar_threads']) ? $_POST['similar_threads'] : "0")."' WHERE forum_settings_name='similar_threads'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['stat_forum']) ? $_POST['stat_forum'] : "0")."' WHERE forum_settings_name='stat_forum'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['stat_top']) ? $_POST['stat_top'] : "0")."' WHERE forum_settings_name='stat_top'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['status']) ? $_POST['status'] : "0")."' WHERE forum_settings_name='status'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['on_forum']) ? $_POST['on_forum'] : "0")."' WHERE forum_settings_name='on_forum'");
		if (!$result) { $error = 1; }
	    $result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['threads_num']) && $_POST['threads_num'] > 0 ? $_POST['threads_num'] : "20")."' WHERE forum_settings_name='threads_num'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['thanks']) ? $_POST['thanks'] : "0")."' WHERE forum_settings_name='thanks'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['translit_button']) ? $_POST['translit_button'] : "0")."' WHERE forum_settings_name='translit_button'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".($user_colors ? $user_colors : "")."' WHERE forum_settings_name='user_colors'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['warn_users']) ? $_POST['warn_users'] : "0")."' WHERE forum_settings_name='warn_users'");
		if (!$result) { $error = 1; }
		$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".(isnum($_POST['who_see']) ? $_POST['who_see'] : "0")."' WHERE forum_settings_name='who_see'");	
		if (!$result) { $error = 1; }

		redirect(FUSION_SELF.$aidlink."&error=".$error, true);
}

$settings2 = dbarray(dbquery("SELECT * FROM ".DB_SETTINGS));

$forum_settings = array();
$result_f = dbquery("SELECT * FROM ".DB_PREFIX."forum_settings");
while ($data_f = dbarray($result_f)) {
	$forum_settings[$data_f['forum_settings_name']] = $data_f['forum_settings_value'];
}

$user_colors = explode("|", $forum_settings['user_colors']);
$color_sadmin = $user_colors[0]; $color_admin = $user_colors[1]; $color_member = $user_colors[2]; $color_bmember = $user_colors[3];

function color_mapper($field, $value) {
   $cvalue[] = "00";
   $cvalue[] = "33";
   $cvalue[] = "66";
   $cvalue[] = "99";
   $cvalue[] = "CC";
   $cvalue[] = "FF";
   $select = "";
   $select = "<select name='".$field."' class='textbox' onchange=\"document.getElementById('preview_".$field."').style.background = '#' + this.options[this.selectedIndex].value;\">\n";
   for ($ca=0; $ca<count($cvalue); $ca++) {
      for ($cb=0; $cb<count($cvalue); $cb++) {
         for ($cc=0; $cc<count($cvalue); $cc++) {
            $hcolor = $cvalue[$ca].$cvalue[$cb].$cvalue[$cc];
            $select .= "<option value='".$hcolor."'".($value==$hcolor?" selected ":" ")."style='background-color:#".$hcolor.";'>#".$hcolor."</option>\n";
         }
      }
   }
   $select .= "</select>\n";
   return $select;
}

opentable($locale['400']);


include FORUM."includes/admin_menu.php";
echo "<form name='settingsform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='500' class='center'>\n<tr>\n";

echo "<td align='center' colspan='2' class='tbl2'><b>".$locale['PF440']."</b></td></tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF433']."</td>\n";
echo "<td width='50%' class='tbl'><select name='on_forum' class='textbox'>\n";
echo "<option value='1'".($forum_settings['on_forum'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['on_forum'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF414']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='threads_num' value='".$forum_settings['threads_num']."' maxlength='150' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF415']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='posts_num' value='".$forum_settings['posts_num']."' maxlength='150' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['505']."<br /><span class='small2'>".$locale['506']."</span></td>\n";
echo "<td width='50%' class='tbl'><select name='numofthreads' class='textbox'>\n";
echo "<option".($settings2['numofthreads'] == 5 ? " selected='selected'" : "").">5</option>\n";
echo "<option".($settings2['numofthreads'] == 10 ? " selected='selected'" : "").">10</option>\n";
echo "<option".($settings2['numofthreads'] == 15 ? " selected='selected'" : "").">15</option>\n";
echo "<option".($settings2['numofthreads'] == 20 ? " selected='selected'" : "").">20</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['507']."</td>\n";
echo "<td width='50%' class='tbl'><select name='forum_ips' class='textbox'>\n";
echo "<option value='1'".($settings2['forum_ips'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings2['forum_ips'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['PF443']."</td>\n";
echo "<td width='50%' class='tbl'><select name='attach_access' class='textbox'>\n";
echo "<option value='1'".($forum_settings['attach_access'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['attach_access'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['508']."<br /><span class='small2'>".$locale['509']."</span></td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='attachmax' value='".$settings2['attachmax']."' maxlength='150' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF400']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='attach_value' value='".$forum_settings['attach_value']."' maxlength='150' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['510']."<br /><span class='small2'>".$locale['511']."</span></td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='attachtypes' value='".$settings2['attachtypes']."' maxlength='150' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['512']."</td>\n";
echo "<td width='50%' class='tbl'><select name='thread_notify' class='textbox'>\n";
echo "<option value='1'".($settings2['thread_notify'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings2['thread_notify'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['520']."</td>\n";
echo "<td width='50%' class='tbl'><select name='forum_ranks' class='textbox'>\n";
echo "<option value='1'".($settings2['forum_ranks'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings2['forum_ranks'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['521']."<br /><span class='small2'>".$locale['522']."</span></td>\n";
echo "<td width='50%' class='tbl'><select name='forum_edit_lock' class='textbox'>\n";
echo "<option value='1'".($settings2['forum_edit_lock'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($settings2['forum_edit_lock'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF446']."</td>\n";
echo "<td width='50%' class='tbl'><select name='ajax_reply' class='textbox'>\n";
echo "<option value='1'".($forum_settings['ajax_reply'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['ajax_reply'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td align='center' colspan='2' class='tbl2'><b>".$locale['PF441']."</b></td></tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF421']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='max_posts' value='".$forum_settings['max_posts']."' maxlength='150' class='textbox' style='width:100px;' /></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF445']."</td>\n";
echo "<td width='50%' class='tbl'><input type='text' name='exclusion_forums' value='".$forum_settings['exclusion_forums']."' maxlength='150' class='textbox' style='width:200px;' /></td>\n";
echo "</tr>\n<tr>\n";

            function create_options($selected, $hide=array(), $off=false) {
				global $locale; $option_list = ""; $options = getusergroups();
				if ($off) { $option_list = "<option value='0'>".$locale['531']."</option>\n"; }
				while(list($key, $option) = each($options)){
					if (!in_array($option['0'], $hide)) {
						$sel = ($selected == $option['0'] ? " selected='selected'" : "");
						$option_list .= "<option value='".$option['0']."'$sel>".$option['1']."</option>\n";
					}
				}
				return $option_list;
			}
echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['PF419']."</td>\n";
echo "<td class='tbl'><select name='forum_user_title' class='textbox' style='width:150px;'>\n".create_options($forum_settings['forum_user_title'], array(0), false)."</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='1%' class='tbl' style='white-space:nowrap'>".$locale['PF444']."</td>\n";
echo "<td class='tbl'><select name='html_access' class='textbox' style='width:150px;'>\n".create_options($forum_settings['html_access'], array(0), false)."</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF401']."</td>\n";
echo "<td width='50%' class='tbl'><select name='rating_threads' class='textbox'>\n";
echo "<option value='1'".($forum_settings['rating_threads'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['rating_threads'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF402']."</td>\n";
echo "<td width='50%' class='tbl'><select name='thanks' class='textbox'>\n";
echo "<option value='1'".($forum_settings['thanks'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['thanks'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF403']."</td>\n";
echo "<td width='50%' class='tbl'><select name='status' class='textbox'>\n";
echo "<option value='1'".($forum_settings['status'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['status'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF404']."</td>\n";
echo "<td width='50%' class='tbl'><select name='not_avatar' class='textbox'>\n";
echo "<option value='1'".($forum_settings['not_avatar'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['not_avatar'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF405']."</td>\n";
echo "<td width='50%' class='tbl'><select name='translit_button' class='textbox'>\n";
echo "<option value='1'".($forum_settings['translit_button'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['translit_button'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF406']."</td>\n";
echo "<td width='50%' class='tbl'><select name='warn_users' class='textbox'>\n";
echo "<option value='1'".($forum_settings['warn_users'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['warn_users'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF407']."</td>\n";
echo "<td width='50%' class='tbl'><select name='awards' class='textbox'>\n";
echo "<option value='1'".($forum_settings['awards'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['awards'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF423']."</td>\n";
echo "<td width='50%' class='tbl'><select name='rss_feeds' class='textbox'>\n";
echo "<option value='1'".($forum_settings['rss_feeds'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['rss_feeds'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'>".$locale['PF437']."</td>\n";
echo "<td width='50%' class='tbl'><select name='forum_icons' class='textbox'>\n";
echo "<option value='1'".($forum_settings['forum_icons'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['forum_icons'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td align='center' colspan='2' class='tbl2'><b>".$locale['PF438']."</b></td></tr>\n";
echo "<td width='50%' class='tbl'><div style='float:left'>".$locale['user3']."</div><div id='preview_color_sadmin' style='float:right;width:12px;height:12px;border:1px solid black;background-color:#".$color_sadmin.";'>&nbsp;</div></td>\n";
echo "<td width='50%' class='tbl'>".color_mapper("color_sadmin", $color_sadmin)."</td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'><div style='float:left'>".$locale['user2']."</div><div id='preview_color_admin' style='float:right;width:12px;height:12px;border:1px solid black;background-color:#".$color_admin.";'>&nbsp;</div></td>\n";
echo "<td width='50%' class='tbl'>".color_mapper("color_admin", $color_admin)."</td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'><div style='float:left'>".$locale['user1']."</div><div id='preview_color_member' style='float:right;width:12px;height:12px;border:1px solid black;background-color:#".$color_member.";'>&nbsp;</div></td>\n";
echo "<td width='50%' class='tbl'>".color_mapper("color_member", $color_member)."</td>\n";
echo "</tr>\n<tr>\n";

echo "<td width='50%' class='tbl'><div style='float:left'>".$locale['PF439']."</div><div id='preview_color_bmember' style='float:right;width:12px;height:12px;border:1px solid black;background-color:#".$color_bmember.";'>&nbsp;</div></td>\n";
echo "<td width='50%' class='tbl'>".color_mapper("color_bmember", $color_bmember)."</td>\n";
echo "</tr>\n<tr>\n";

echo "<td align='center' colspan='2' class='tbl2'><b>".$locale['PF408']."</b></td></tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF409']."</td>\n";
echo "<td width='50%' class='tbl'><select name='stat_top' class='textbox'>\n";
echo "<option value='1'".($forum_settings['stat_top'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['stat_top'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF410']."</td>\n";
echo "<td width='50%' class='tbl'><select name='stat_forum' class='textbox'>\n";
echo "<option value='1'".($forum_settings['stat_forum'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['stat_forum'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF411']."</td>\n";
echo "<td width='50%' class='tbl'><select name='see_option' class='textbox'>\n";
echo "<option value='1'".($forum_settings['see_option'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['see_option'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF412']."</td>\n";
echo "<td width='50%' class='tbl'><select name='who_see' class='textbox'>\n";
echo "<option value='1'".($forum_settings['who_see'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['who_see'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF413']."</td>\n";
echo "<td width='50%' class='tbl'><select name='similar_threads' class='textbox'>\n";
echo "<option value='1'".($forum_settings['similar_threads'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['similar_threads'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
echo "<td width='50%' class='tbl'>".$locale['PF420']."</td>\n";
echo "<td width='50%' class='tbl'><select name='info_panel' class='textbox'>\n";
echo "<option value='1'".($forum_settings['info_panel'] == "1" ? " selected='selected'" : "").">".$locale['518']."</option>\n";
echo "<option value='0'".($forum_settings['info_panel'] == "0" ? " selected='selected'" : "").">".$locale['519']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";

echo "<td align='center' colspan='2' class='tbl'><br /><a href='".FUSION_SELF.$aidlink."&amp;action=count_posts'>".$locale['523']."</a>".(isset($_GET['action']) && $_GET['action'] == "count_posts" ? " ".$locale['524'] : "")."</td>\n";
echo "</tr>\n<tr>\n";

echo "<td align='center' colspan='2' class='tbl'><br />\n";
echo "<input type='submit' name='savesettings' value='".$locale['750']."' class='button' /></td>\n";
echo "</tr>\n</table>\n</form>\n";
closetable();

copyright_xiweb();
require_once THEMES."templates/footer.php";
?>
