<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion Name: attachments control panel
| Version: 3.0
| Author: elife (webmaster@elife.ae)
| Webpage: www.elife.ae
+--------------------------------------------------------+
| Adapted for Power Fusion Forum v.2.2.0
| Copyright  2008-2009 Modified by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once ADMIN."navigation.php";
require_once "common.php";

if (!checkrights("F") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (isset($_GET['delattach']) && !isNum($_GET['delattach']));
if (!isset($_GET['delmsg']) || !isNum($_GET['delmsg'])) $delmsg = "";
if (!isset($_GET['rowstart']) || !isNum($_GET['rowstart'])) $_GET['rowstart'] = 0;
$ordercheck = array("attach_name","attach_size","attach_id","attach_ext","post_datestamp","desc","asc");
if (!isset($_GET['orderby']) || !in_array($_GET['orderby'], $ordercheck) ) $_GET['orderby'] = "attach_id";
if (!isset($_GET['orderway']) || !in_array($_GET['orderway'], $ordercheck) ) $_GET['orderway'] = "desc";

if (isset($_GET['delattach'])) {
$result = dbquery("SELECT * FROM ".DB_FORUM_ATTACHMENTS." WHERE attach_id='".$_GET['delattach']."'");
if (dbrows($result) != 0) {
$attach = dbarray($result);
@unlink(FORUM."attachments/".$attach['attach_name']);
$result2 = dbquery("DELETE FROM ".DB_FORUM_ATTACHMENTS." WHERE attach_id='".$_GET['delattach']."'");
$delmsg = 1;
} 
}elseif(isset($_POST['delselect']) && $chk_mark!=""){
if(is_array($chk_mark) && count($chk_mark)>1){
$result_attach_id="attach_id IN(".implode(',',$chk_mark).")";
}else{
$result_attach_id="attach_id=".$chk_mark[0];
}
$result = dbquery("SELECT * FROM ".DB_FORUM_ATTACHMENTS." WHERE $result_attach_id");
if (dbrows($result) != 0) {
while($attach = dbarray($result)){
@unlink(FORUM."attachments/".$attach['attach_name']);
}
$result2 = dbquery("DELETE FROM ".DB_FORUM_ATTACHMENTS." WHERE $result_attach_id");
$delmsg = 2;
} 
}

toolbar($locale['a210']);

if ($delmsg == 1){
		   opentable("");
		   echo "<center><br />".$locale['a220']."<br /><br /></center>";
		   closetable();
		   tablebreak();
}elseif ($delmsg == 2){
			opentable("");
			echo "<center><br />".$locale['a221']."<br /><br /></center>";
			closetable();
			tablebreak();
}

opentable("");
$result = dbquery("SELECT td.*,tdc.*, ttc.thread_subject FROM ".DB_FORUM_ATTACHMENTS." td
  		INNER JOIN ".DB_POSTS." tdc ON td.post_id=tdc.post_id and td.thread_id=tdc.thread_id
		INNER JOIN ".DB_THREADS." ttc ON ttc.thread_id=tdc.thread_id
		ORDER BY ".$_GET['orderby']." ".$_GET['orderway']." LIMIT ".$_GET['rowstart'].",10"
		);
if (dbrows($result) != 0) { 

$up = "<img src='img/up.png' style='vertical-align:middle; border: 0;' alt='A'>";
$down = "<img src='img/down.png' style='vertical-align:middle; border: 0;' alt='D'>";

echo "<center><br /><strong>".$locale['a222']."</strong> ".$locale['a223']." (<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_name&amp;orderway=asc'>$up</a>|<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_name&amp;orderway=desc'>$down</a>) 
| ".$locale['a224']." (<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_size&amp;orderway=asc'>$up</a>|<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_size&amp;orderway=desc'>$down</a>)
| ".$locale['a225']." (<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_id&amp;orderway=asc'>$up</a>|<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_id&amp;orderway=desc'>$down</a>)
| ".$locale['a226']." (<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_ext&amp;orderway=asc'>$up</a>|<a href='".FUSION_SELF.$aidlink."&amp;orderby=attach_ext&amp;orderway=desc'>$down</a>)
| ".$locale['a227']." (<a href='".FUSION_SELF.$aidlink."&amp;orderby=post_datestamp&amp;orderway=asc'>$up</a>|<a href='".FUSION_SELF.$aidlink."&amp;orderby=post_datestamp&amp;orderway=desc'>$down</a>)
<br /><br /></center>";

echo "<form name='delattachall' method='post' action='".FUSION_SELF.$aidlink."'>";
echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='1%' class='tbl2'></td>
<td width='1%' class='tbl2'>".$locale['a226']."</td>
<td class='tbl2'>".$locale['a223']."</td>
<td class='tbl2'>".$locale['a228']."</td>
<td class='tbl2'>".$locale['a227']."</td>
<td class='tbl2'>".$locale['a224']."</td>
<td class='tbl2'>".$locale['a318']."</td>
<td class='tbl2'>".$locale['a229']."</td>
<td class='tbl2'>".$locale['a230']."</td>
</tr>";

while($attach = dbarray($result)){

$fileattach = FORUM."attachments/".$attach['attach_name'];
$fileimage = getimagetype($attach['attach_ext']);
$fs = !file_exists($fileattach) ? "<font color='red'>".$locale['a231']."</font>" : "<font color='green'>".$locale['a232']."</font>";

if ($attach['post_title']) { $title = $attach['post_title']; } else {$title = $attach['thread_subject']; }

echo "<tr>
<td class='tbl1'><input type='checkbox' name='chk_mark[]' value='".$attach['attach_id']."'></td>
<td class='tbl1'>$fileimage</td>
<td class='tbl1'><a href='$fileattach'>".$attach['attach_name']."</a>
</td>
<td class='tbl1'><a href='".FORUM."viewthread.php?forum_id=".$attach['forum_id']."&amp;thread_id=".$attach['thread_id']."&amp;pid=".$attach['post_id']."#post_".$attach['post_id']."'>".trimlink($title, 20)."</a></td>
<td class='tbl1'>".showdate("forumdate",$attach['post_datestamp'])."</td>
<td class='tbl1'>".parsebytesize($attach['attach_size'])."</td>
<td class='tbl1' align='center'>".$attach['attach_count']."</td>
<td class='tbl1'>".$fs."</td>
<td class='tbl1' align='center'><a href='".FUSION_SELF.$aidlink."&amp;delattach=".$attach['attach_id']."' onclick='return Deletefile();'><img src='img/delete.png' border='0' alt='".$locale['a233']."'></a>";
//echo " <a href='add_to_downloads.php".$aidlink."&amp;attach_id=".$attach['attach_id']."&amp;post_id=".$attach['post_id']."'><img src='img/gotoapp.png' border='0' alt='".$locale['a234']."'></a>";
echo " <a href='file_info.php".$aidlink."&amp;attach_id=".$attach['attach_id']."'><img src='img/info.png' border='0' alt='".$locale['a235']."'></a>";
echo "</td>
</tr>"; 

}

echo "<tr>
<td colspan='9' class='tbl2'><span class='small'>
<input type='button' class='button' title='".$locale['a236']."' onclick=\"javascript:setChecked('delattachall','chk_mark[]',1);\" value='".$locale['a237']."'>
<input type='button' class='button' title='".$locale['a238']."' onclick=\"javascript:setChecked('delattachall','chk_mark[]',0);\" value='".$locale['a239']."'>
<input type='submit' class='button' name='delselect' onclick='return Deletefiles();' value='".$locale['a240']."'></span>
</td>
</tr></table></form>\n";

$rows = dbcount("(attach_id)", DB_FORUM_ATTACHMENTS, "");
if ($rows > 10) echo "<div align='center' style='margin-top:5px;'>
".makepagenav($_GET['rowstart'],10,$rows,3,FUSION_SELF.$aidlink."&amp;orderby=".$_GET['orderby']."&amp;orderway=".$_GET['orderway']."&amp;")."
</div>";

echo "<script language='Javascript' type='text/javascript'>
function setChecked(frmName,chkName,val){
	dml=document.forms[frmName];
	len=dml.elements.length;
	for(i=0;i<len;i++){
		if(dml.elements[i].name==chkName){
		dml.elements[i].checked=val;
	}}}
function Deletefile() {
	return confirm('".$locale['a241']."');
}
function Deletefiles() {
	return confirm('".$locale['a242']."');
}
</script>";

}else{
echo "<center><br />".$locale['a243']."<br /><br /></center>\n";
}

closetable();

echo "</td>";
copyright_xiweb();
require_once THEMES."templates/footer.php";
?>