<?php
/*-------------------------------------------------------+
| PHP-Fusion 7 Content Management System
| Copyright  2002 - 2007 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Infusion Name: attachments control panel
| Version: 3.0
| Author: elife (webmaster@elife.ae)
| Webpage: www.elife.ae
+--------------------------------------------------------+
| Adapted for Power Fusion Forum v.2.2.0
| Copyright  2008-2009 Modified by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
require_once ADMIN."navigation.php";
require_once "common.php";

if (!checkrights("F") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (!isset($_GET['attach_id']));
if (isset($_GET['attach_id']) && !isNum($_GET['attach_id'])) fallback("../index.php");
if (!isset($_GET['rowstart']) || !isNum($_GET['rowstart'])) $_GET['rowstart'] = 0;

toolbar($locale['a270']);

opentable("");

$result = dbquery("SELECT * FROM ".DB_FORUM_ATTACHMENTS." WHERE attach_id='".$_GET['attach_id']."'");

if (dbrows($result) != 0) {
$attach = dbarray($result);
$fileattach = FORUM."attachments/".$attach['attach_name'];

if ($attach['attach_ext'] == ".zip" && file_exists($fileattach)){

require_once "pclzip.lib.php";
$zip = new PclZip($fileattach);
$zipinfo = $zip->properties();  
$fileinfo = lstat($fileattach);

echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='1%' class='tbl2'>".getimagetype($attach['attach_ext'])."</td>
<td class='tbl2'>
<b>".$locale['a223'].":</b> ".$attach['attach_name']."<br />
<b>".$locale['a224'].":</b> ".parsebytesize($fileinfo['size'])."<br />
<b>".$locale['a271'].":</b> ".showdate("forumdate", $fileinfo['mtime'])."<br />
<b>".$locale['a272'].":</b> ".$zipinfo['nb']."<br />
<b>".$locale['a273'].":</b> ".$zipinfo['comment']."<br />";
echo "</td></tr></table>";

closetable();
tablebreak();
opentable($locale['a274']);

echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='1%' class='tbl2'></td>
<td width='1%' class='tbl2'></td>
<td class='tbl2'><b>".$locale['a223']."</b></td>
<td class='tbl2'><b>".$locale['a275']."</b></td>
<td class='tbl2'><b>".$locale['a224']."</b></td>
<td class='tbl2'><b>".$locale['a276']."</b></td>
<td class='tbl2'><b>".$locale['a271']."</b></td>
<td class='tbl2'><b>".$locale['a273']."</b></td>
<td class='tbl2'><b>".$locale['a277']."</b></td>
</tr>";

if (($list = $zip->listContent()) == 0) {
    die("Error : ".$zip->errorInfo(true));
  }
  
  if (($rowstart + 10) < sizeof($list)){
  	$ilimit = $rowstart + 10;
  }else{
  	$ilimit = (sizeof($list) - $_GET['rowstart']) + $_GET['rowstart'];
  }
  
  for ($i=$rowstart; $i<$ilimit; $i++) {
   
   if ($list[$i]['folder'] == 0){
   	$path_parts = pathinfo($list[$i]['filename']);
   	$fileimage = getimagetypezip($path_parts['extension']);
   }else{
   	$fileimage = "<img src='".INFUSIONS."attachments_admin/img/zip_folder.png'  alt='".$locale['a278']."'>";
   }
   
    echo "<tr>
<td width='1%' class='tbl1'>".$list[$i]['index']."</td>
<td width='1%' class='tbl1' align='center'>".$fileimage."</td>
<td class='tbl1'>".$list[$i]['filename']."</td>
<td class='tbl1'>".$list[$i]['stored_filename']."</td>
<td class='tbl1'>".parsebytesize($list[$i]['size'])."</td>
<td class='tbl1'>".parsebytesize($list[$i]['compressed_size'])."</td>
<td class='tbl1'>".showdate("forumdate", $list[$i]['mtime'])."</td>
<td class='tbl1'>".$list[$i]['comment']."</td>
<td class='tbl1'>".$list[$i]['status']."</td>
</tr>";

	$fileimage = ""; 
   }

echo "</table>\n";

if (sizeof($list) > 10) echo "<div align='center' style='margin-top:5px;'>
".makePageNav($_GET['rowstart'],10,sizeof($list),3,FUSION_SELF.$aidlink."&amp;attach_id=".$_GET['attach_id']."&amp;")."
</div>\n";
closetable();

}elseif ($attach['attach_ext'] == ".gif" || $attach['attach_ext'] == ".swf" || $attach['attach_ext'] == ".jpg" || $attach['attach_ext'] == ".png" || $attach['attach_ext'] == ".bmp" && file_exists($fileattach)){

$info = @getimagesize($fileattach);
$fileinfo = lstat($fileattach);

echo "<table width='100%' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td width='1%' class='tbl2'>".getimagetype($attach['attach_ext'])."</td>
<td class='tbl2'>
<b>".$locale['a223'].":</b> ".$attach['attach_name']."<br />
<b>".$locale['a224'].":</b> ".parsebytesize($fileinfo['size'])."<br />
<b>".$locale['a271'].":</b> ".showdate("forumdate", $fileinfo['mtime'])."<br />
<b>".$locale['a279'].":</b> ".$info[0]." X ".$info[1]."<br />
<b>".$locale['a280'].":</b> ".$info['bits']."<br />
<b>".$locale['a281'].":</b> ".$info['channels']."<br />
<b>".$locale['a282'].":</b> ".$info['mime']."<br />";
echo "</td></tr></table>";

closetable();
tablebreak();
opentable($locale['a283']);

echo "<center><br /><img src='".$fileattach."'  alt='".$attach['attach_name']."'><br /><br /></center>";

closetable();

}else{
echo "<center><br />".$locale['a284']."<br /><br /></center>";
closetable();
}

}else{
echo "<center><br />".$locale['a285']."<br /><br /></center>";
closetable();
}

echo "</td>\n";
copyright_xiweb();
require_once THEMES."templates/footer.php";
?>