﻿<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Power Fusion Forum v.2.2.0
| Copyright © 2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Global settings

$forum_settings = array();
$result_f = dbquery("SELECT * FROM ".DB_PREFIX."forum_settings");
while ($data_f = dbarray($result_f)) {
	$forum_settings[$data_f['forum_settings_name']] = $data_f['forum_settings_value'];
}

if ($forum_settings['on_forum'] == "0") { redirect(FORUM."includes/error_massege.php?status_forum=close"); }

$forum_images = array(
    "admin_comment" => FORUM."images/admin_comment.png",
    "bullet" => FORUM."images/bullet.gif",
	"email" => FORUM."images/email.gif",
	"folder_open" => FORUM."images/folder_open.png",
	"icq" => FORUM."images/icq.gif",
	"menu_open" => FORUM."images/menu_open.gif",
	"member" => FORUM."images/member.gif",
	"messages" => FORUM."images/message.gif",
	"new_post" => FORUM."images/new_post.gif",
	"newpost" => FORUM."images/newpost.gif",
	"new_day" => FORUM."images/new_day.gif",
	"no_attach" => FORUM."images/attach.png",
	"no_avatar" => FORUM."images/no_avatar.gif",
	"poll" => FORUM."images/poll.gif",
	"privatmsg" => FORUM."images/priv.png",
	"quickreply" => FORUM."images/quickreply.png",
	"quickquote" => FORUM."images/quickquote.gif",
	"report" => FORUM."images/report.gif",
	"rss" => FORUM."images/rss.png",
	"send_email" => FORUM."images/email.png",
	"sub_forum" => FORUM."images/sub_forum.gif",
	"subforum" => FORUM."images/subforum.png",
	"thanks" => FORUM."images/thanks.gif",
	"up" => FORUM."images/up.png",
	"view_attach" => FORUM."images/attach.gif"
);

$forum_images = array_merge($forum_images);

// Functions

function get_forum_image($image, $alt = "", $style = "", $title = "", $atts = "") {
	global $forum_images;
	if (isset($forum_images[$image])) {
		$url = $forum_images[$image];
	} else {
		$url = FORUM."images/error.png";
	}
	if (!$alt && !$style && !$title) {
		return $url;
	} else {
		return "<img src='".$url."' alt='".$alt."'".($style ? " style='$style'" : "").($title ? " title='".$title."'" : "")." ".$atts." />";
	}
}

function nav_menu($page, $viewforum_id, $viewthread, $local=false) {
        global $settings, $locale, $forum_settings, $userdata, $base_forum, $main_forum;
		
	if (iMEMBER && (preg_match("/(post.php)/im", FUSION_REQUEST))) {
add_to_head("<script type='text/javascript' src='includes/js/mootools.js'></script>");
add_to_head("<script type='text/javascript' src='includes/js/textarea/resizeTextarea.js'></script>");
add_to_head("<link rel='stylesheet' href='includes/js/textarea/textarea.css' type='text/css' media='screen' />");
	}
		
    echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'><tr>\n";
    echo "<td class='tbl1' valign='middle'>\n";
	echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'><tr><td style='float:left;padding-left:3px;'>\n";
	echo "<div style='float:left;border:1px solid #ccc;margin: 0.2em;'><div style='margin: 0.2em 0.4em;'><b><a href='index.php'>".$locale['PF661']."</a></b></div></div>";
	if ($settings['enable_terms'] == 1) { echo "<div style='float:left;border:1px solid #ccc;margin: 0.2em 0.4em;'><div style='margin: 0.2em;'><b><a href='".BASEDIR."print.php?type=T'>".$locale['PFN108']."</a></b></div></div>"; }
	if (iMEMBER) { 
	echo "<div style='float:left;border:1px solid #ccc;margin: 0.2em;'><div style='margin: 0.2em 0.4em;'><b><a href='".FORUM."usercp.php'>".$locale['PFN109']."</a></b></div></div>";
	echo "<div style='float:left;border:1px solid #ccc;margin: 0.2em;'><div style='margin: 0.2em 0.4em;'><b><a href='".FORUM."message.php?view=newposts'>".$locale['PFN107']."</a></b></div></div>";
	echo "<div style='float:left;border:1px solid #ccc;margin: 0.2em;'><div style='margin: 0.2em 0.4em;'><b><a href='".BASEDIR."members.php'>".$locale['PFN110']."</a></b></div></div>";
	}
	echo "<div style='float:left;border:1px solid #ccc;margin: 0.2em;'><div style='margin: 0.2em 0.4em;'><b><a href='".BASEDIR."search.php'>".$locale['PFN111']."</a></b></div></div>";
    echo "</td></tr></table>\n";
    echo "</td>\n";
	
	if (!iMEMBER && $page != "error_massege") {
	echo "<td width='300' class='tbl1' align='left'>\n";
	echo "<form name='loginform' method='post' action='".FUSION_SELF."'>\n";
	echo "<table width='100%'><tr>\n";
	echo "<td>".$locale['global_101'].":</td>\n";
	echo "<td><input type='text' name='user_name' class='textbox' style='width:100px' /><label>&nbsp;<input type='checkbox' name='remember_me' value='y' /> ".$locale['global_103']."</label></td>\n";
	echo "</tr><tr>\n";
	echo "<td>".$locale['global_102'].":</td>\n";
	echo "<td><input type='password' name='user_pass' class='textbox' style='width:100px' />&nbsp;<input type='submit' name='login' value='".$locale['global_104']."' class='button' /></td>\n";
	echo "</tr></table>\n";
	echo "</form>\n";
	echo "</td>\n";
	} else if (iMEMBER) {
	$msg_new_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
	$msg_total_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_folder='0'");
	echo "<td  width='300' class='tbl1' align='left'>\n";
	echo "<table width='100%'><tr>\n";
	echo "<td  class='small'>\n";
	echo "<div style='float:left;'>".$locale['PFN101']."<a href='".BASEDIR."profile.php?lookup=".$userdata['user_id']."' class='side'>".$userdata['user_name']."</a></div><div style='float:right;'><a href='".BASEDIR."setuser.php?logout=yes' class='side'>".$locale['PFN102']."</a></div><br />\n";
	echo "".$locale['PFN103'].showdate("longdate", $userdata['user_lastvisit'])."<br />\n";
	echo "<a href=\"".FORUM."usercp.php?pm&amp;folder=inbox\">".$locale['PFN104']."</a>".$locale['PFN105'].$msg_new_count.$locale['PFN106'].$msg_total_count."</td>\n";
	echo "</tr></table>\n";
	echo "</td>\n";
	}
	
	echo "</tr></table>\n";
	
	/***************************************************************************/
	
	if ($page != "main") {
	if ($viewforum_id || $viewthread) {
	if ($page == "viewthread") {
    $result3 = dbarray(dbquery("SELECT forum_id FROM ".DB_THREADS." WHERE thread_id='".$viewthread."'"));
    $view_id = $result3['forum_id'];	
	} else { $view_id = $viewforum_id;}
	
	$result_n = dbquery(
	"SELECT f.forum_name, f.forum_cat, sf.forum_cat AS cat, f.forum_id, sf.forum_id AS id, sf.forum_name AS main_forum, mf.forum_name AS base FROM ".DB_FORUMS." f
	LEFT JOIN ".DB_FORUMS." sf ON sf.forum_id=f.forum_cat
	LEFT JOIN ".DB_FORUMS." mf ON mf.forum_id=sf.forum_cat
	WHERE f.forum_id='".$view_id."'"
);
        $data_n = dbarray($result_n); $sub_forum = $data_n['forum_name'];
        if ($data_n['cat'] == 0) { 
		    $main_forum = " > ".$data_n['main_forum']."";
        } elseif ($data_n['cat'] > 0) { 
		    $main_forum = " > <a href='viewforum.php?forum_id=".$data_n['id']."'>".$data_n['main_forum']."</a>";        }
        if ($data_n['base'] != '') { $base_forum = " > ".$data_n['base']; } else { $base_forum = ""; }
    }
	
	if ($page == "viewthread" || $page == "viewforum") { $stile = "margin: 0.6em 0em 0em 0em;"; } else { $stile = "margin: 0.6em 0em;"; }
	echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border' style='$stile'>\n";
    echo "<tr><td class='tbl1'>\n";
    echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'><tr>\n";
    echo "<td width='1'><img src='".get_forum_image("folder_open")."' alt='' style='vertical-align:middle; border: 0;' /></td>\n";
    echo "<td style='padding-left:3px;'><a href='index.php'>Strona Główna</a>".$base_forum.$main_forum." > <a href='viewforum.php?forum_id=".$data_n['forum_id']."'>".$sub_forum."</a></td>\n";
    echo "</tr></table>\n";	
    echo "<table width='100%' border='0' cellpadding='0' cellspacing='0'>\n";
    echo "<tr><td style='width:31px;' align='right'><img src='".get_forum_image("subforum")."' alt='' style='vertical-align:middle; border: 0;' /></td>\n";
	echo "<td style='padding-left:3px;'><b>".$local."</b></td>\n";
	echo "</tr></table>\n";
    echo "</td>\n";
	echo "</tr></table>\n";
	
	    if (($viewthread) && ($page != "viewthread") && ($page != "options")) {
	$result_t = dbquery("SELECT thread_subject, thread_icon FROM ".DB_THREADS." WHERE thread_id='".$viewthread."' AND forum_id='".$viewforum_id."'");
	$data_t = dbarray($result_t);
	echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border'>\n";
	echo "<tr>\n";
	echo "<td class='tbl1' width='1%'><img src='images/post_icons/".$data_t['thread_icon']."' alt='".$locale['PF478']."' style='vertical-align:middle; border: 0;' /></td>\n";
	echo "<td class='tbl1' colspan='2'><strong>".$locale['460'].": </strong><a href='viewthread.php?forum_id=".$data_n['forum_id']."&amp;thread_id=".$viewthread."'>".$data_t['thread_subject']."</a></td></tr>\n";
	echo "</table>\n";
	    }
	}
	
}

function rating($thread_id) {
        global $locale;
		
            $wynik = dbquery("SELECT SUM(rating_vote) FROM ".DB_RATINGS." WHERE rating_type='B' AND rating_item_id='".$thread_id."'");
            $info = dbresult($wynik,0);
            $num_rating = dbcount("(rating_vote)", DB_RATINGS, "rating_type='B' AND rating_item_id='".$thread_id."'");
            $wyn_rating = ($num_rating ? $info / $num_rating : 0);
		
		if ($wyn_rating > 0) {	
	$text = "<img src='".FORUM."images/rate/".ceil($wyn_rating).".gif' alt='".$locale['PF638'].ceil($wyn_rating)."' title='".$locale['PF638'].ceil($wyn_rating)."' style='vertical-align:middle; border: 0;' />\n";
		} else { $text = ""; }
		
		return $text;
}

function show_warning($postid, $userid, $forumid, $thread_id){
global $locale;
    $show_warning = "";
    $num_warning = dbcount("(warnings)", DB_PREFIX."forum_warning", "warning_user='".$userid."'");
    $times = $num_warning;
    if(!$times) $times = 0;
    $minus = $times - 1;
    $add = $times + 1; 
	
         if ($times != 0 && iADMIN) {
    $show_warning .= "<a href='post.php?warning&amp;act=minus&amp;user_id=".$userid."&amp;forum_id=".$forumid."&amp;thread_id=".$thread_id."&amp;post_id=".$postid."'><img src='".FORUM."images/warn/warn_minus.gif' alt='-' title='-' style='vertical-align:middle; border: 0;' /></a>";
        }
    $show_warning .= "<a href='post.php?warning&amp;act=show&amp;user_id=".$userid."&amp;forum_id=".$forumid."&amp;thread_id=".$thread_id."'><img src='".FORUM."images/warn/warn".$times.".gif' alt='".$locale['PF651'].$times."' title='".$locale['PF651'].$times."' style='vertical-align:middle; border: 0;' /></a>";
        if ($times != 5 && iADMIN) {
    $show_warning .= "<a href='post.php?warning&amp;act=add&amp;user_id=".$userid."&amp;forum_id=".$forumid."&amp;thread_id=".$thread_id."&amp;post_id=".$postid."'><img src='".FORUM."images/warn/warn_add.gif' alt='+' title='+' style='vertical-align:middle; border: 0;' /></a>";
        }

    return $show_warning;
}

function show_medal($postid, $userid){
global $locale;
    $resultm = dbquery("SELECT * FROM ".DB_PREFIX."forum_medals WHERE medal_user='".$userid."'");
    if(dbrows($resultm)){
	
    echo "<br /><fieldset style='margin: 0em 0.4em 0em 0.4em;border:1px solid #ccc;'>\n";
	echo "<legend>";
    echo "<a onClick='awards(".$postid.",\"".$locale['PF646']."\",\"".$locale['PF647']."\");' style='cursor: pointer;'><span class='small' id='show_medals_text".$postid."'>".$locale['PF646']."</span></a>";
	echo "</legend>\n";
    echo "<div id='show_medals".$postid."' style='max-width:155px;'>";
    $i=1;
        while($datam = dbarray($resultm)){
	    if ($i==5 || $i==10 || $i==15 || $i==20 || $i==25 || $i==30) { $br = "<br/ >"; } else { $br = ""; }
    echo "<img title='header=[".$locale['mds301']." ą".$i."] body=[".$datam['medal_reason']."]' src='".FORUM."images/medals/".$datam['medal_image']."' style='padding: 0.3em; border:0;vertical-align:middle' />".$br.""; $i++;
        }
    echo "</div>\n";
	echo "</fieldset>\n";	
	echo "<br />\n";
    }
}

function rss_feeds($page, $name_forum, $name_thread) {
    global $locale, $forum_settings;
    if ($forum_settings['rss_feeds'] == "1") {
add_to_head("<link rel='alternate' type='application/rss+xml' title='RSS - ".$locale['401']."' href='".FUSION_SELF."?read=rss' />");
        if ($page == "viewforum") {
add_to_head("<link rel='alternate' type='application/rss+xml' title='RSS - ".$locale['PF636'].": ".$name_forum."' href='".FUSION_SELF."?feeds=".$_GET['forum_id']."' />");
        } elseif ($page == "viewthread") {
add_to_head("<link rel='alternate' type='application/rss+xml' title='RSS - ".$locale['451'].": ".trimlink($name_thread, 24)."' href='".FUSION_SELF."?rss=".$_GET['thread_id']."' />"); 
        }
	}
}

function online_user($online_user_id, $online_user_level) {
    global $forum_settings, $now_online, $num_online, $date_online;
	
	$now_online = dbrows(dbquery("SELECT * FROM ".DB_ONLINE.""));
	
	$online_records = explode(".",$forum_settings['online_record']);
	$num_online = $online_records[0]; $date_online = $online_records[1];
	
	if ($now_online > $num_online && $now_online != $num_online) {
	$online_record = "".($now_online.".".time())."";
	$result = dbquery("UPDATE ".DB_PREFIX."forum_settings SET forum_settings_value='".stripslashes($online_record)."' WHERE forum_settings_name='online_record'");//
	}
}

function user_color($userid=false) {
    global $forum_settings;

	if ($userid != 0 || $userid == true) {
	
	    $data_u = dbarray(dbquery("SELECT us.user_groups, us.user_level, us.user_status FROM ".DB_USERS." us WHERE us.user_id = ".$userid.""));
		$pff_user_status = $data_u['user_status'];
	    $group = explode(".",$data_u['user_groups']);
	    foreach ($group as $number_group) { $group_id = $number_group; }

	$user_colors = explode("|",$forum_settings['user_colors']);
    $color_sadmin = $user_colors[0]; $color_admin = $user_colors[1]; $color_member = $user_colors[2]; $color_bmember = $user_colors[3];
	
	if ($group_id && $pff_user_status == 0) {
	$result_c = dbquery("SELECT group_color FROM ".DB_USER_GROUPS." WHERE group_id = ".$group_id."");
	    while ($data_c = dbarray($result_c)) { return "#".$data_c['group_color']; } 
	} 
	elseif ($data_u['user_level'] == 101 && !$group_id && $pff_user_status == 0) { return "#".$color_member; }
    elseif ($data_u['user_level'] == 102 && $pff_user_status == 0) { return "#".$color_admin; }
    elseif ($data_u['user_level'] == 103 && $pff_user_status == 0) { return "#".$color_sadmin; }
	elseif ($pff_user_status == 1) { return "#".$color_bmember; }
	
	} else { return "#000000";}
}

function show_user_thanks($post_id) {
    global $locale, $userdata;
	
	$result2 = dbquery("SELECT t1.user_id, t2.user_name, t1.thanks_datestamp FROM ".DB_PREFIX."forum_thanks AS t1
JOIN ".DB_USERS." AS t2 USING (user_id) WHERE post_id='".$post_id."' ORDER BY thanks_id");
    $thanks = dbrows($result2);
    if ($thanks != 0) {
	echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border forum_thread_table' style='margin: 0.6em 0em 0em 0em;'>\n";
    echo "<tr><td class='tbl2' style='width:175px;white-space:nowrap'><span class='small'>".$locale['THNK_01']."<strong>{$thanks}</strong>".$locale['THNK_02']."<br />".$locale['THNK_03']."</span></td>\n";
    echo "<td class='tbl2' valign='top'><span class='small'>\n";
$tcount = 0;
        while($data2 = dbarray($result2)) {
		
		if ($userdata['user_id'] == $data2['user_id']) { $dele_thx = "<span>&nbsp;</span><a href='javascript:delete_thanks(".$post_id.",".$data2['user_id'].");'><img src='".FORUM."images/delete.gif' alt='".$locale['THNK_08']."' style='vertical-align:middle; border: 0;' /></a>"; } else { $dele_thx = ""; }
		
    echo ($tcount != 0 ? ",\n " : "")."<a href='".BASEDIR."profile.php?lookup=".$data2['user_id']."'><font color='".user_color($data2['user_id'])."'>".$data2['user_name']."</font></a> (".date("d.m.Y", $data2['thanks_datestamp']).")".$dele_thx;
        $tcount ++;
        }
    echo "</span></td>\n</tr>\n</table>\n"; }
}

function OptionsThread($thread_id, $forum_id) {
		global $locale, $settings, $userdata;
	
	echo "<div style='float:right'>\n";
	echo "<div style='float:left;padding: 0em 0.3em 0em 0.3em;border-left: 1px solid #8394B2;'>\n";	
	echo "<div onclick='menu(1);' style='cursor: pointer;'><img src='".FORUM."images/srch.gif' alt='' style='border:0;vertical-align:middle' />&nbsp;<a>".$locale['PF721']."</a></div>";
	echo "<div style='position:relative;'>\n";
	echo "<div id='view_1' style='display:none; position:absolute; top:5px; left:-4px; white-space:nowrap; width:155px; text-align:left;'>\n";
	echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl-border' align='left'><tr>\n";
	echo "<td class='tbl1' style='text-align:left;'>\n";
        echo "<form name='searchform' method='get' action='".BASEDIR."search.php'>\n";
		echo "<input type='hidden' name='thread_id' value='".$thread_id."' />";
		echo "<input type='hidden' name='forum_id' value='".$forum_id."' />";
		echo "<input type='hidden' name='stype' value='forums' />";
		echo "<input type='hidden' name='method' value='OR' />";
		echo "<input type='hidden' name='datelimit' value='0' />";
		echo "<input type='hidden' name='fields' value='2' />";
		echo "<input type='hidden' name='sort' value='datestamp' />";
		echo "<input type='hidden' name='order' value='0' />";
		echo "<input type='hidden' name='chars' value='50' />";
    echo "<input type='text' name='stext' class='textbox' style='width:150px' />\n";
    echo "<input type='submit' name='search' value='".$locale['550']."' class='button' /></form>\n";
	echo "</td></tr>\n<tr><td class='tbl1' style='text-align:left;'>\n";
	echo "<a href='".BASEDIR."search.php'>".$locale['PF722']."</a>";
	echo "</td></tr>\n</table>\n";
    echo "</div></div>";
	echo "</div><div style='float:right;padding: 0em 0.3em 0em 0.3em;border-left: 1px solid #8394B2;'>";
	echo "<div onclick='javascript:menu(2);' style='cursor: pointer;'><img src='".FORUM."images/tools.gif' alt='' style='border:0;vertical-align:middle' />&nbsp;<a>".$locale['PF723']."</a></div>";
	echo "<div style='position:relative;'>\n";
	echo "<div id='view_2' style='display:none; position:absolute; top:5px; right:-7px; white-space:nowrap; text-align:left; float:right'>\n";
	echo "<table cellspacing='1' width='185' cellpadding='0' class='tbl-border'><tr>\n";
	echo "<td class='tbl1 small' style='text-align:left;'>\n";
	echo "<a href='".BASEDIR."print.php?type=F&amp;thread=".$thread_id."'><img src='".get_image("printer")."' alt='".$locale['519']."' title='".$locale['519']."' style='border:0;vertical-align:middle' /> ľÔÁľě</a><br />";
	if (iMEMBER) { echo "<a href='".FORUM."message.php?sendtofriend=".$thread_id."'><img src='".FORUM."images/email.png' alt='".$locale['519']."' title='".$locale['PF703']."' style='border:0;vertical-align:middle' /> ".$locale['PF703']."</a><br />"; }
	if (iMEMBER && $settings['thread_notify']) {
				if (dbcount("(thread_id)", DB_THREAD_NOTIFY, "thread_id='".$thread_id."' AND notify_user='".$userdata['user_id']."'")) {
					$result2 = dbquery("UPDATE ".DB_THREAD_NOTIFY." SET notify_datestamp='".time()."', notify_status='1' WHERE thread_id='".$thread_id."' AND notify_user='".$userdata['user_id']."'");
					echo "<a href='postify.php?post=off&amp;forum_id=".$forum_id."&amp;thread_id=".$thread_id."'><img src='".FORUM."images/news.gif' alt='".$locale['516']."' title='".$locale['516']."' style='border:0;vertical-align:middle' /> ".$locale['515']."</a>";
				} else {
					echo "<a href='postify.php?post=on&amp;forum_id=".$forum_id."&amp;thread_id=".$thread_id."'><img src='".FORUM."images/news.gif' alt='".$locale['516']."' title='".$locale['516']."' style='border:0;vertical-align:middle' /> ".$locale['516']."</a>";
				}
			}
	echo "</td></tr>\n</table>\n";
    echo "</div></div>";
	echo "</div>\n";
	echo "</div>\n";
}

function write_in_log($event,$error=false) {
global $userdata;
    if ($userdata['user_name']) { $name = $userdata['user_name']; } else { $name = "Unspecified"; }
	$date = date("d.m.Y H:i:s", time());
	$ip = USER_IP;
	$text = "".$date." | ".$ip." | ".$name." | ".$event."\r\n";
    $filename = FORUM."logs/event_log.txt";
        if (is_writeable($filename)) {
            $fh = fopen($filename, "a+");
            flock($fh, LOCK_EX);
            fputs($fh, $text);
            fflush($fh);
            flock($fh, LOCK_UN);
			fclose($fh);
		}
}

?>