<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: post.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Power Fusion Forum v.2.2.0
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."bbcode_include.php"; 
require_once INCLUDES."forum_include.php";
require_once LOCALE.LOCALESET."forum/post.php";

$forum_settings = array();
$result_f = dbquery("SELECT * FROM ".DB_PREFIX."forum_settings");
while ($data_f = dbarray($result_f)) {
	$forum_settings[$data_f['forum_settings_name']] = $data_f['forum_settings_value'];
}

if (!iMEMBER) {
    set_title($locale['PF494']." - ".$settings['sitename']);
    opentable($locale['PF494']);
	require_once FORUM."includes/function.php";
    if (eregi("newthread", $_SERVER['REQUEST_URI'])) { $thread = false; } else { $thread = $_GET['thread_id']; }
    nav_menu("error_massege", $_GET['forum_id'], $thread, $locale['PF494']);
    require_once FORUM."includes/error_massege.php";
    closetable();
    require_once THEMES."templates/footer.php";	exit;
}

set_title($locale['400']." - ".$settings['sitename']);

if (!iMEMBER || !isset($_GET['forum_id']) || !isnum($_GET['forum_id'])) { redirect("index.php"); }

if ($settings['forum_edit_lock'] == 1) {
	$lock_edit = true;
} else {
	$lock_edit = false;
}

$result = dbquery(
	"SELECT f.*, f2.forum_name AS forum_cat_name
	FROM ".DB_FORUMS." f
	LEFT JOIN ".DB_FORUMS." f2 ON f.forum_cat=f2.forum_id
	WHERE f.forum_id='".$_GET['forum_id']."'"
);

if (dbrows($result)) {
	$fdata = dbarray($result);
	if (!checkgroup($fdata['forum_access']) || !$fdata['forum_cat']) { redirect("index.php"); }
} else {
	redirect("index.php");
}

if (iMEMBER && $fdata['forum_moderators']) {
	$mod_groups = explode(".", $fdata['forum_moderators']);
	foreach ($mod_groups as $mod_group) {
		if (!defined("iMOD") && checkgroup($mod_group)) { define("iMOD", true); }
	}
}
if (!defined("iMOD")) { define("iMOD", false); }

//$caption = $fdata['forum_cat_name']." :: ".$fdata['forum_name'];

if ((isset($_GET['action']) && $_GET['action'] == "newthread") && ($fdata['forum_post'] != 0 && checkgroup($fdata['forum_post']))) {
	require_once "postnewthread.php";
} elseif ((isset($_GET['action']) && $_GET['action'] == "reply") && ($fdata['forum_reply'] != 0 && checkgroup($fdata['forum_reply']))) {
	if (!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) {
		redirect("index.php");
	}

	$result = dbquery("SELECT * FROM ".DB_THREADS." WHERE thread_id='".$_GET['thread_id']."' AND forum_id='".$fdata['forum_id']."'");
	
	if (dbrows($result)) {
		$tdata = dbarray($result);
	} else {
		redirect("index.php");
	}
	
	//$caption .= " :: ".$tdata['thread_subject'];
	
	$exclusion_forums = explode(",",$forum_settings['exclusion_forums']);		
	if (in_array($fdata['forum_id'],$exclusion_forums)) {
	$max_posts = true;
	} else { 
	if ($tdata['thread_postcount'] <= $forum_settings['max_posts']) {
    $max_posts = true; } else { $max_posts = false; }
	}
	
	if ((!$tdata['thread_locked']) && $max_posts) {
	
	if (iMEMBER && isset($_POST['postquickreply'])) {
	require_once LOCALE.LOCALESET."forum/logs.php";
	require_once FORUM."includes/function.php";
	if (!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) { redirect("index.php"); }
	$message = stripinput(censorwords($_POST['message']));
	if ($message != "") {
		require_once INCLUDES."flood_include.php";
		if (!flood_control("post_datestamp", DB_POSTS, "post_author='".$userdata['user_id']."'")) {
			$sig = ($userdata['user_sig'] ? '1' :'0');
			$smileys = isset($_POST['disable_smileys']) || preg_match("#\[code\](.*?)\[/code\]#si", $message) ? "0" : "1";
			
	$result = dbquery("SELECT * FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' ORDER BY post_id DESC LIMIT 1");
	$data = dbarray($result);
		if ($data['post_author'] == $userdata['user_id']) {
		$new_date = date("i:s",time() - $data['post_datestamp']);
		$add_date = "[i]".$locale['PF663'].$new_date.$locale['PF664']."[/i]";
		$add_massege = $data['post_message']."\n\n".$add_date."\n\n".$message."";
			
			$result = dbquery("UPDATE ".DB_POSTS." SET post_message='".$add_massege."', post_datestamp = '".time()."' WHERE post_id='".$data['post_id']."'");
			
		} else {
			
			$result = dbquery("INSERT INTO ".DB_POSTS." (forum_id, thread_id, post_message, post_showsig, post_smileys, post_author, post_datestamp, post_ip, post_edituser, post_edittime, post_icon) VALUES ('".$fdata['forum_id']."', '".$_GET['thread_id']."', '$message', '$sig', '$smileys', '".$userdata['user_id']."', '".time()."', '".USER_IP."', '0', '0', 'icon1.gif')");
		
		}
			
			$newpost_id = mysql_insert_id();
			$result = dbquery("UPDATE ".DB_FORUMS." SET forum_lastpost='".time()."', forum_postcount=forum_postcount+1, forum_lastuser='".$userdata['user_id']."' WHERE forum_id='".$fdata['forum_id']."'");
			$result = dbquery("UPDATE ".DB_THREADS." SET thread_lastpost='".time()."', thread_lastpostid='".$newpost_id."', thread_postcount=thread_postcount+1, thread_lastuser='".$userdata['user_id']."' WHERE thread_id='".$_GET['thread_id']."'");
			$result = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'");
			write_in_log($locale['log201']." [".sprintf($locale['log100'], $_GET['thread_id'])."]");
			redirect("postify.php?post=reply&error=0&forum_id=".$fdata['forum_id']."&thread_id=".$_GET['thread_id']."&post_id=$newpost_id");
			
		if ($settings['thread_notify']) {
			$result = dbquery(
				"SELECT tn.*, tu.user_id,user_name,user_email FROM ".DB_THREAD_NOTIFY." tn
				LEFT JOIN ".DB_USERS." tu ON tn.notify_user=tu.user_id
				WHERE thread_id='".$_GET['thread_id']."' AND notify_user!='".$userdata['user_id']."' AND notify_status='1'
			");
			if (dbrows($result)) {
				require_once INCLUDES."sendmail_include.php";
				$data2 = dbarray(dbquery("SELECT thread_subject FROM ".DB_THREADS." WHERE thread_id='".$_GET['thread_id']."'"));
				$post = dbarray(dbquery("SELECT post_id FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' AND post_author='".$userdata['user_id']."' ORDER BY post_datestamp DESC LIMIT 1"));
				$link = $settings['siteurl']."forum/viewthread.php?forum_id=".$fdata['forum_id']."&thread_id=".$_GET['thread_id']."&pid=".$post['post_id']."#post_".$post['post_id'];
				while ($data = dbarray($result)) {
					$message_el1 = array("{USERNAME}", "{THREAD_SUBJECT}", "{THREAD_URL}");
					$message_el2 = array($data['user_name'], $data2['thread_subject'], $link);
					$message_subject = str_replace("{THREAD_SUBJECT}", $data2['thread_subject'], $locale['550']);
					$message_content = str_replace($message_el1, $message_el2, $locale['551']);
					sendemail($data['user_name'],$data['user_email'],$settings['siteusername'],$settings['siteemail'],$message_subject,$message_content);
				}
				$result = dbquery("UPDATE ".DB_THREAD_NOTIFY." SET notify_status='0' WHERE thread_id='".$_GET['thread_id']."' AND notify_user!='".$userdata['user_id']."'");
			}
		}
			
		        } else { redirect($_SERVER['HTTP_REFERER']); }
	        } else { redirect($_SERVER['HTTP_REFERER']); }
        } else { require_once "postreply.php"; }		
    } else { redirect("index.php"); }
	
} elseif (isset($_GET['action']) && $_GET['action'] == "edit") {
	if ((!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) || (!isset($_GET['post_id']) || !isnum($_GET['post_id']))) { redirect("index.php"); }

	$result = dbquery("SELECT * FROM ".DB_THREADS." WHERE thread_id='".$_GET['thread_id']."' AND forum_id='".$fdata['forum_id']."'");
	
	if (dbrows($result)) {
		$tdata = dbarray($result);
	} else {
		redirect("index.php");
	}

	$result = dbquery("SELECT tp.*, tt.thread_subject, MIN(tp2.post_id) AS first_post FROM ".DB_POSTS." tp
	INNER JOIN ".DB_THREADS." tt on tp.thread_id=tt.thread_id
	INNER JOIN ".DB_POSTS." tp2 on tp.thread_id=tp2.thread_id
	WHERE tp.post_id='".$_GET['post_id']."' AND tp.thread_id='".$tdata['thread_id']."' AND tp.forum_id='".$fdata['forum_id']."' GROUP BY tp2.post_id");
	
	if (dbrows($result)) {
		$pdata = dbarray($result);
		$last_post = dbarray(dbquery("SELECT post_id FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' AND forum_id='".$_GET['forum_id']."' ORDER BY post_datestamp DESC LIMIT 1"));
	} else {
		redirect("index.php");
	}

	if ($userdata['user_id'] != $pdata['post_author'] && !iMOD && !iSUPERADMIN) { redirect("index.php"); }
	
	if (!$tdata['thread_locked'] && (($lock_edit && $last_post['post_id'] == $pdata['post_id'] && $userdata['user_id'] == $pdata['post_author']) || (!$lock_edit && $userdata['user_id'] == $pdata['post_author'])) ) {
		require_once "postedit.php";
	} else {
		if (iMOD || iSUPERADMIN) { require_once "postedit.php"; } else { redirect("index.php"); }
	}

} elseif (isset($_GET['action']) && $_GET['action'] == "thanks") {
    if ((!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) || (!isset($_GET['post_id']) || !isnum($_GET['post_id']))) { redirect("index.php"); }

    $result = dbcount("(post_id)", DB_POSTS, "post_id='".$_GET['post_id']."' AND thread_id='".$_GET['thread_id']."' AND forum_id='".$_GET['forum_id']."' AND post_author!='".$userdata['user_id']."'");

        if ($result != 0) {
    $result = dbcount("(thanks_id)", DB_PREFIX."forum_thanks", "post_id='".$_GET['post_id']."' AND user_id='".$userdata['user_id']."'");

    if ($result != 0) {
redirect("postify.php?post=thanks&amp;error=1&amp;forum_id=".$_GET['forum_id']."&amp;thread_id=".$_GET['thread_id']."&amp;post_id=".$_GET['post_id'].""); die; 
	} else {
    $result = dbquery("INSERT INTO ".DB_PREFIX."forum_thanks (forum_id, thread_id, post_id, user_id, thanks_datestamp) VALUES ('".$_GET['forum_id']."', '".$_GET['thread_id']."', '".$_GET['post_id']."', '".$userdata['user_id']."', '".time()."')");
redirect("postify.php?post=thanks&amp;error=0&amp;forum_id=".$_GET['forum_id']."&amp;thread_id=".$_GET['thread_id']."&amp;post_id=".$_GET['post_id'].""); die; 
    }
	
        } else { redirect("viewthread.php?forum_id=".$_GET['forum_id']."&amp;thread_id=".$_GET['thread_id']."&amp;post_id=".$_GET['post_id']."#post_".$_GET['post_id']."");  die; }
	
} elseif ((isset($_GET['action']) && $_GET['action'] == "admin")) {
    if ((!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) || (!isset($_GET['post_id']) || !isnum($_GET['post_id'])) && !iMOD) { redirect("index.php"); }
	
require_once FORUM."includes/admin_comment.php";

} elseif ((isset($_GET['action']) && $_GET['action'] == "report")) {
if ((!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) || (!isset($_GET['post_id']) || !isnum($_GET['post_id']))) { redirect("index.php"); }
require_once FORUM."includes/report.php";


} elseif  (isset($_GET['warning']) && !isnum($_GET['warning'])) { 
require_once FORUM."includes/warn.php";

} else {
	redirect("index.php");
}

require_once THEMES."templates/footer.php";
?>