<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: viewthread.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Power Fusion Forum v.2.1.1
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
if (isset($_GET['read']) && ($_GET['read']) == 'rss') { require_once FORUM."includes/rss_feeds.php"; die(); }
if ((isset($_GET['rss'])) && (isnum($_GET['rss']))) { require_once FORUM."includes/rss_feeds.php"; die(); }
require_once FORUM."includes/function.php";
require_once INCLUDES."forum_include.php";
require_once THEMES."templates/header.php";
require_once LOCALE.LOCALESET."forum/main.php";
require_once LOCALE.LOCALESET."forum/logs.php";

    add_to_head("<script type='text/javascript' src='includes/js/boxover.js'></script>");	
	add_to_head("<script type=\"text/javascript\" src=\"includes/js/prototype.js\"></script>");
    add_to_head("<script type=\"text/javascript\" src=\"includes/js/ajax_topics.js\"></script>");

    $posts_per_page = $forum_settings['posts_num'];
	if (iGUEST) { $userdata = 0; }
    set_title($locale['400']." - ".$settings['sitename']);

if (!isset($_GET['thread_id']) || !isnum($_GET['thread_id'])) { redirect("index.php"); }

if (!isset($_GET['page']) || !isnum($_GET['page'])) { $_GET['page'] = 1; }

$result = dbquery(
	"SELECT t.*, f.*, f2.forum_name AS forum_cat_name
	FROM ".DB_THREADS." t
	LEFT JOIN ".DB_FORUMS." f ON t.forum_id=f.forum_id
	LEFT JOIN ".DB_FORUMS." f2 ON f.forum_cat=f2.forum_id
	WHERE t.thread_id='".$_GET['thread_id']."'"
);
if (dbrows($result)) {
	$fdata = dbarray($result);
	if (!checkgroup($fdata['forum_access']) || !$fdata['forum_cat']) { redirect("index.php"); }
} else {
	redirect("index.php");
}

	if ($fdata['forum_password']) {
	if (!isset($_COOKIE[COOKIE_PREFIX.'forum_password_'.$fdata['forum_id']]) || ($_COOKIE[COOKIE_PREFIX.'forum_password_'.$fdata['forum_id']] != $fdata['forum_password'])) { redirect(FORUM."password.php?error=".$fdata['forum_id'].""); }
	}

if ($fdata['forum_reply'] != 0 /*&& checkgroup($fdata['forum_reply'])*/) {
	$can_reply = true;
} else {
	$can_reply = false;
}

if ($settings['forum_edit_lock'] == 1) {
	$lock_edit = true;
} else {
	$lock_edit = false;
}

//locale dependent forum buttons
if (is_array($fusion_images)) {
	if ($settings['locale'] != "English") {
		$newpath = "";
		$oldpath = explode("/", $fusion_images['newthread']);
		for ($i = 0; $i < count($oldpath) - 1; $i++) {
			$newpath .= $oldpath[$i]."/";
		}
		if (is_dir($newpath.$settings['locale'])) {
			redirect_img_dir($newpath, $newpath.$settings['locale']."/");
		}
	}
}
//locale dependent forum buttons

$mod_groups = explode(".", $fdata['forum_moderators']);

if (iSUPERADMIN) { define("iMOD", true); }

if (!defined("iMOD") && iMEMBER && $fdata['forum_moderators']) {
	foreach ($mod_groups as $mod_group) {
		if (!defined("iMOD") && checkgroup($mod_group)) { define("iMOD", true); }
	}
}

if (!defined("iMOD")) { define("iMOD", false); }

if (iMEMBER) {
	$thread_match = $fdata['thread_id']."\|".$fdata['thread_lastpost']."\|".$fdata['forum_id'];
	if (($fdata['thread_lastpost'] > $lastvisited) && !preg_match("(^\.{$thread_match}$|\.{$thread_match}\.|\.{$thread_match}$)", $userdata['user_threads'])) {
		$result = dbquery("UPDATE ".DB_USERS." SET user_threads='".$userdata['user_threads'].".".stripslashes($thread_match)."' WHERE user_id='".$userdata['user_id']."'");
	}
}

$result = dbquery("UPDATE ".DB_THREADS." SET thread_views=thread_views+1 WHERE thread_id='".$_GET['thread_id']."'");

if ((iMOD || iSUPERADMIN) && isset($_POST['delete_posts']) && (isset($_POST['delete_post'])) && is_array($_POST['delete_post']) && count($_POST['delete_post'])) {
	$del_posts = ""; $i = 0; $post_count = 0;
	foreach ($_POST['delete_post'] as $del_post_id) {
		if (isnum($del_post_id)) { $del_posts .= ($del_posts ? "," : "").$del_post_id; $i++; }
	}
	if ($del_posts) {
		$result = dbquery("SELECT post_author, COUNT(post_id) as num_posts FROM ".DB_POSTS." WHERE post_id IN (".$del_posts.") GROUP BY post_author");
		if (dbrows($result)) {
			while ($pdata = dbarray($result)) {
				$result2 = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts-".$pdata['num_posts']." WHERE user_id='".$pdata['post_author']."'");
				$post_count = $post_count + $pdata['num_posts'];
			}
		}
		$result = dbquery("SELECT attach_name FROM ".DB_FORUM_ATTACHMENTS." WHERE post_id IN (".$del_posts.")");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				unlink(FORUM."attachments/".$data['attach_name']);
			}
		}
		$result = dbquery("DELETE FROM ".DB_FORUM_ATTACHMENTS." WHERE thread_id='".$_GET['thread_id']."' AND post_id IN(".$del_posts.")");
		$result = dbquery("DELETE FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' AND post_id IN(".$del_posts.")");
	}
	if (!dbcount("(post_id)", DB_POSTS, "thread_id='".$_GET['thread_id']."'")) {
		$result = dbquery("DELETE FROM ".DB_THREADS." WHERE thread_id='".$_GET['thread_id']."'");
		$result = dbquery("DELETE FROM ".DB_THREAD_NOTIFY." WHERE thread_id='".$_GET['thread_id']."'");
		$result = dbquery("DELETE FROM ".DB_FORUM_POLL_VOTERS." WHERE thread_id='".$_GET['thread_id']."'");
		$result = dbquery("DELETE FROM ".DB_FORUM_POLL_OPTIONS." WHERE thread_id='".$_GET['thread_id']."'");
		$result = dbquery("DELETE FROM ".DB_FORUM_POLLS." WHERE thread_id='".$_GET['thread_id']."'");
		$thread_count = false;
	} else {
		$result = dbquery("SELECT post_datestamp, post_author, post_id FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' ORDER BY post_datestamp DESC LIMIT 1");
		$ldata = dbarray($result);
		$result = dbquery("UPDATE ".DB_THREADS." SET thread_lastpost='".$ldata['post_datestamp']."', thread_lastpostid='".$ldata['post_id']."', thread_postcount=thread_postcount-1, thread_lastuser='".$ldata['post_author']."' WHERE thread_id='".$_GET['thread_id']."'");
		$thread_count = true; unset($ldata);
	}
	$result = dbquery("SELECT post_datestamp, post_author FROM ".DB_POSTS." WHERE forum_id='".$fdata['forum_id']."' ORDER BY post_datestamp DESC LIMIT 1");
	if (dbrows($result)) {
		$ldata = dbarray($result);
		$forum_lastpost = "forum_lastpost='".$ldata['post_datestamp']."', forum_lastuser='".$ldata['post_author']."'";
	} else {
		$forum_lastpost = "forum_lastpost='0', forum_lastuser='0'";
	}
	$result = dbquery("UPDATE ".DB_FORUMS." SET ".$forum_lastpost.(!$thread_count ? "forum_threadcount=forum_threadcount-1," : ",")." forum_postcount=forum_postcount-".$post_count." WHERE forum_id = '".$fdata['forum_id']."'");
	if (!$thread_count) { redirect("viewforum.php?forum_id=".$fdata['forum_id']); }
	write_in_log($locale['log317']." [".sprintf($locale['log100'], $_GET['thread_id']).", ".$locale['log101']." ".$del_posts."]");
}

$rows = dbcount("(thread_id)", DB_POSTS, "thread_id='".$_GET['thread_id']."'");

if (isset($_GET['pid']) && isnum($_GET['pid'])) {
	$reply_count = dbcount("(post_id)", DB_POSTS, "thread_id='".$fdata['thread_id']."' AND post_id<='".$_GET['pid']."'");
	//if ($reply_count > $posts_per_page) {  $_GET['page'] = ((ceil($reply_count / $posts_per_page)-1) * $posts_per_page); }
	if ($reply_count > $posts_per_page) { 
	$page = ((floor($reply_count / $posts_per_page))+1); 
	$page = ($reply_count == ($posts_per_page * ($page-1))) ? $page-1 : $page;
	$_GET['page'] = $page;
	} 
}

     //$caption = $fdata['forum_cat_name']." :: <a href='viewforum.php?forum_id=".$fdata['forum_id']."'>".$fdata['forum_name']."</a>";

if (iMEMBER && isset($_POST['cast_vote']) && (isset($_POST['poll_option']) && isnum($_POST['poll_option']))) {
	$result = dbquery("SELECT * FROM ".DB_FORUM_POLL_VOTERS." WHERE forum_vote_user_id='".$userdata['user_id']."' AND thread_id='".$_GET['thread_id']."'");
	if (!dbrows($result)) {
		$result = dbquery("UPDATE ".DB_FORUM_POLL_OPTIONS." SET forum_poll_option_votes=forum_poll_option_votes+1 WHERE thread_id='".$_GET['thread_id']."' AND forum_poll_option_id='".$_POST['poll_option']."'");
		$result = dbquery("UPDATE ".DB_FORUM_POLLS." SET forum_poll_votes=forum_poll_votes+1 WHERE thread_id='".$_GET['thread_id']."'");
		$result = dbquery("INSERT INTO ".DB_FORUM_POLL_VOTERS." (thread_id, forum_vote_user_id, forum_vote_user_ip) VALUES ('".$_GET['thread_id']."', '".$userdata['user_id']."', '".USER_IP."')");
	}
	redirect(FUSION_SELF."?thread_id=".$_GET['thread_id']);
}

    opentable($locale['500']."<a name='top'></a>");
    echo "<!--pre_forum_thread-->\n";

    nav_menu("viewthread", false, $_GET['thread_id'], $locale['500']);

    if ($forum_settings['info_panel'] == "1") { require_once FORUM."includes/panels/information.php"; }

	if ($forum_settings['rating_threads'] == "1") {
	add_to_head("<link href=\"includes/ajax_rating/css/rating_style.css\" rel=\"stylesheet\" type=\"text/css\" media=\"all\">");
	add_to_head("<script type=\"text/javascript\" src=\"includes/ajax_rating/js/rating_update_".$locale['xml_lang'].".js\"></script>");
    require_once "includes/ajax_rating/rating_functions.php";
	showratings("B", $_GET['thread_id']); }

if ($rows != 0) {

	if ($_GET['page'] == 1 && $fdata['thread_poll'] == "1") {
	echo "<div id='forum_poll'>\n";
		if (iMEMBER) {
			$presult = dbquery(
				"SELECT tfp.*, tfv.forum_vote_user_id FROM ".DB_FORUM_POLLS." tfp
				LEFT JOIN ".DB_FORUM_POLL_VOTERS." tfv
				ON tfp.thread_id=tfv.thread_id AND forum_vote_user_id='".$userdata['user_id']."'
				WHERE tfp.thread_id='".$_GET['thread_id']."'"
			);
		} else {
			$presult = dbquery(
				"SELECT tfp.* FROM ".DB_FORUM_POLLS." tfp
				WHERE tfp.thread_id='".$_GET['thread_id']."'"
			);
		}
		if (dbrows($presult)) {
			$pdata = dbarray($presult); $i = 1;
			if (iMEMBER) { echo "<form id='voteform' name='voteform' method='post' action='".FUSION_SELF."?forum_id=".$fdata['forum_id']."&amp;thread_id=".$_GET['thread_id']."'>\n"; 
			echo "<input type='hidden' name='thread_id' value='".$_GET['thread_id']."' />";
            echo "<input type='hidden' name='forum_id' value='".$fdata['forum_id']."' />";
            echo "<input type='hidden' name='forum_vote' value='".$fdata['forum_vote']."' />";	}
			echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border' style='margin-bottom:5px'>\n<tr>\n";
			echo "<td align='center' class='tbl2'><strong>".$pdata['forum_poll_title']."</strong></td>\n</tr>\n<tr>\n<td class='tbl1'>\n";
			echo "<table align='center' cellpadding='0' cellspacing='0'>\n";
			$presult = dbquery("SELECT * FROM ".DB_FORUM_POLL_OPTIONS." WHERE thread_id='".$_GET['thread_id']."' ORDER BY forum_poll_option_id ASC");
			$poll_options = dbrows($presult);
			while ($pvdata = dbarray($presult)) {
				if ((iMEMBER && isset($pdata['forum_vote_user_id']) || (!$fdata['forum_vote'] || !checkgroup($fdata['forum_vote'])))) {
					$option_votes = ($pdata['forum_poll_votes'] ? number_format(100 / $pdata['forum_poll_votes'] * $pvdata['forum_poll_option_votes']) : 0);
					echo "<tr>\n<td class='tbl1'>".$pvdata['forum_poll_option_text']."</td>\n";
					echo "<td class='tbl1'><img src='".get_image("pollbar")."' alt='".$pvdata['forum_poll_option_text']."' height='12' width='".(200 / 100 * $option_votes)."' class='poll' /></td>\n";
					echo "<td class='tbl1'>".$option_votes."%</td><td class='tbl1'>[".$pvdata['forum_poll_option_votes']." ".($pvdata['forum_poll_option_votes'] == 1 ? $locale['global_133'] : $locale['global_134'])."]</td>\n</tr>\n";
				} else {
					echo "<tr>\n<td class='tbl1'><label><input type='radio' name='poll_option' value='".$i."' style='vertical-align:middle' /> ".$pvdata['forum_poll_option_text']."</label></td>\n</tr>\n";
					$i++;
				}
			}
			if ((iMEMBER && isset($pdata['forum_vote_user_id']) || (!$fdata['forum_vote'] || !checkgroup($fdata['forum_vote'])))) {
				echo "<tr>\n<td align='center' colspan='4' class='tbl1'>".$locale['480']." : ".$pdata['forum_poll_votes']."</td>\n</tr>\n";
			} else {
				echo "<tr>\n<td class='tbl1'><input type='button' class='button' value='".$locale['481']."' onclick=\"add_poll(); return false;\" /></td>\n</tr>\n";
			}
			echo "</table>\n</td>\n</tr>\n</table>\n";
			if (iMEMBER) { echo "</form>\n"; }
		}
		echo "<div align='center' id='loading_poll'></div>";
		echo "</div>\n";
	}
	        $words = ($fdata['thread_subject']." ".$fdata['forum_name']." ".$locale['400']);
	        $keywords = ""; $arry_words = explode(" ", $words);
		    foreach ($arry_words as $print_arry_words) { $keywords .= trim($print_arry_words).", "; }
			
			rss_feeds("viewthread", true, $fdata['thread_subject']);
			set_title($fdata['thread_subject']." | ".$locale['400']." - ".$settings['sitename']);
			set_meta("keywords", $keywords);
	        set_meta("description", $locale['500']." ".$fdata['thread_subject']." | ".$locale['400']." - ".$settings['sitename']);

	echo "<div id='forum_message'>\n";
	require_once FORUM."includes/topics/forum_massege.php";
	show_topic($_GET['thread_id'], $fdata['forum_id'], $_GET['page'], $can_reply, $fdata['thread_locked'], $fdata['thread_postcount'], $fdata['thread_subject'], $fdata['thread_icon'], $lock_edit, $fdata['forum_moderators'], $fdata['sticky_first_post'],$rows);
	echo "</div>\n";

}

if (iMOD) { 
    echo "<form name='modopts' method='post' action='options.php?forum_id=".$fdata['forum_id']."&amp;thread_id=".$_GET['thread_id']."'>\n";
    echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
	echo "<td align='right'>\n";
	echo "<br />\n".$locale['520']." <select name='step' class='textbox'>\n";
	echo "<option value='none'></option>\n";
	echo "<option value='renew'>".$locale['527']."</option>\n";
	echo "<option value='delete'>".$locale['521']."</option>\n";
	echo "<option value='".($fdata['thread_locked'] ? "unlock" : "lock")."'>".($fdata['thread_locked'] ? $locale['523'] : $locale['522'])."</option>\n";
	echo "<option value='".($fdata['thread_sticky'] ? "nonsticky" : "sticky")."'>".($fdata['thread_sticky'] ? $locale['525'] : $locale['524'])."</option>\n";
	echo "<option value='move'>".$locale['526']."</option>\n";
	echo "<option value='obedenitem'>".$locale['PF604']."</option>\n";
	echo "<option value='razdelit'>".$locale['PF605']."</option>\n";
	echo "<option value='obedenitmes'>".$locale['PF606']."</option>\n";
	echo "<option value='peremestit'>".$locale['PF607']."</option>\n"; //
	echo "</select>\n<input type='submit' name='go' value='".$locale['528']."' class='button' />\n";
	echo "</td>\n";
    echo "</tr>\n</table>\n"; 
	echo "</form>\n"; 
}

    closetable();

    if ($forum_settings['who_see'] == "1") { require_once FORUM."includes/panels/who_see_threads.php"; echo "<br />\n"; }
	
	$exclusion_forums = explode(",",$forum_settings['exclusion_forums']);		
	if (in_array($fdata['forum_id'],$exclusion_forums)) {
	$max_posts = true;
	} else { 
	if ($fdata['thread_postcount'] <= $forum_settings['max_posts']) {
    $max_posts = true; } else { $max_posts = false; }
	}

if (iMEMBER && $can_reply && !$fdata['thread_locked'] && $max_posts) {
	
    require_once INCLUDES."bbcode_include.php";
	
	$forma = "<a style='cursor: pointer;' id=\"id1\" 
onclick=\"if(document.getElementById('id2').style.display=='none') {
document.getElementById('id2').style.display='block';
document.getElementById('id1').innerHTML='".$locale['512']."';
}else{
document.getElementById('id2').style.display='none';
document.getElementById('id1').innerHTML='".$locale['512']."';}\">".$locale['512']."</a>";
	
	opentable($forma);
	echo "<div id='id2' align='center' style='display:block;'>";
	echo "<table width='70%' cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td align='center' class='tbl1'>\n";
	
	echo "<form id='pform' name='inputform' method='post' action='".FORUM."post.php?action=reply&amp;forum_id=".$fdata['forum_id']."&amp;thread_id=".$_GET['thread_id']."'><a name='quickreply'></a\n>";
	
	echo "<input type='hidden' name='options_thead' value='".$fdata['forum_id']."|".$_GET['thread_id']."|".$can_reply."|".$fdata['thread_locked']."|".$fdata['thread_postcount']."|".$fdata['thread_subject']."|".$fdata['thread_icon']."|".$lock_edit."|".$fdata['forum_moderators']."|".$fdata['sticky_first_post']."' />\n";
		
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border center'>\n<tr>\n";
	echo "<td align='center' class='tbl1'>\n";
	echo "<div align='left' class='tbl2' style='width:98%'>".display_bbcodes("60%", "message")."</div>\n";
	echo "<textarea class='textbox' id='message' name='message' cols='70' rows='7' style='width:98%' onselect=\"setCaret(this);\" onclick=\"setCaret(this);\" onkeyup=\"setCaret(this);\"></textarea>\n";
	echo "</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='left' class='tbl2'><label><input type='checkbox' name='disable_smileys' value='1' />".$locale['513']."</label></td></tr>\n";
	
	echo "<tr><td align='center' class='tbl1'>";

	
	echo "<input type='submit' name='full_reply' class='button' value='".$locale['PF702']."' />&nbsp;";
	if ($forum_settings['ajax_reply'] == "1") {
	echo "<input type='button' class='button' value='".$locale['514']."' onclick=\"add_post(); return false;\" />";
	} else {
	echo "<input type='submit' name='postquickreply' value='".$locale['514']."' class='button' />";
	}
	echo "</td>\n";
	echo "</tr>\n</table>\n</form><!--sub_forum_thread-->\n";
	echo "</td></tr>\n</table>\n";
	
	echo "</div>";
	closetable();

}

    echo "<div align='center' style='padding: 0em 0em 1em 0em'>\n";
    $pre_id = false; $next_id = false;
    $result_n = dbquery("SELECT * FROM ".DB_THREADS." WHERE forum_id = '".$fdata['forum_id']."' ORDER BY thread_id");
        while($data_n = dbarray($result_n)) {
	if ($data_n['thread_id'] < $_GET['thread_id']) { $pre_id = $data_n['thread_id']; }
	if ($data_n['thread_id'] > $_GET['thread_id']) { $next_id = $data_n['thread_id']; }
        }
	echo "<strong>&laquo; </strong>\n";
	if ($pre_id) { echo "<a href='viewthread.php?thread_id=".$pre_id."'>".$locale['PF707']."</a> | "; 
	} else { echo $locale['PF707']." | "; }
	if ($next_id) { echo "<a href='viewthread.php?thread_id=".$next_id."'>".$locale['PF708']."</a>"; 
	} else { echo $locale['PF708']; }
	echo "<strong> &raquo;</strong>\n";
    echo "</div>\n"; //
    
	echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";

	if (($forum_settings['rss_feeds'] == "1") && !$fdata['thread_locked'] && $can_reply) {
	echo "<td class='tbl2' align='left'><span>&nbsp;</span><a rel='nofollow' href='".FUSION_SELF."?rss=".$_GET['thread_id']."' target='_blank'><img src='".get_forum_image("rss")."' alt='RSS' style='border:0;vertical-align:middle' /></a></td>\n"; } //
    echo "<td align='right' class='tbl2' style='padding: 0.7em 0.7em 0.7em 0.7em'><span>".$locale['540']." </span>\n";

    $forum_cat = 0;
    echo "<select name='jump_id' class='textbox' style='width:225px;' onchange=\"jumpforum(this.options[this.selectedIndex].value);\">";
    //echo "<option value='0'".($forum_cat == 0 ? " selected" : "")."></option>";
    function catSelect($cats_id = 0, $chort = '') {
    global $forum_cat, $fdata;
            if ($cats_id != 0){ $chort.='-'; }
        $result2 = dbquery("SELECT forum_id, forum_cat, forum_name FROM ".DB_FORUMS." WHERE forum_cat = '".$cats_id."' ORDER BY forum_order ASC");
            while ($data2 = dbarray($result2)) {
        if ($data2['forum_cat'] == 0){ echo "<optgroup label='".$data2['forum_name']."'>\n"; }
        if ($data2['forum_cat'] > 0){ echo "<option value='".$data2['forum_id']."'".($data2['forum_id'] == $fdata['forum_id'] ? " selected" : "").">$chort ".$data2['forum_name']."</option>";  }
	    if ($data2['forum_cat'] == 0){  echo "</optgroup>\n"; }
	
      catSelect($data2['forum_id'], $chort);
            }
    }
        catSelect();
    echo "</select>";
    echo "</td>\n"; 
	echo "</tr>\n</table>\n";// 

    if ($forum_settings['similar_threads'] == "1") { require_once FORUM."includes/panels/similar_threads.php"; }

echo "<script type='text/javascript'>function jumpforum(forum_id) {\n";
echo "document.location.href='viewforum.php?forum_id='+forum_id;\n";
echo "}\n"."function setChecked(frmName,chkName,val) {\n";
echo "dml=document.forms[frmName];\n"."len=dml.elements.length;\n"."for(i=0;i < len;i++) {\n";
echo "if(dml.elements[i].name == chkName) {\n"."dml.elements[i].checked = val;\n}\n}\n}\n";
echo "</script>\n";

list($postcount, $lastpid) = dbarraynum(dbquery("SELECT COUNT(post_id), MAX(post_id) FROM ".DB_POSTS." WHERE thread_id='".$_GET['thread_id']."' GROUP BY thread_id"));

if(isnum($postcount)){
	dbquery("UPDATE ".DB_THREADS." SET thread_postcount='$postcount', thread_lastpostid=$lastpid WHERE thread_id='".$_GET['thread_id']."'");
}

online_user($userdata['user_id'], $userdata['user_level']);

require_once THEMES."templates/footer.php";
?>
