<?php
/*-------------------------------------------------------+
| Power Fusion Forum v.2.2.0
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

class navigator {
	var $total; //    
	var $elements_to_page; //      
	var $groups; //   (  ) 
	var $view_to_end; //         
	var $view_to_next; //         
	var $current_page; // 
	
	//   (      <a></a>)
	var $view_pages; //      (1, 2, 3  1-3, 4-6, 7-9)
	var $marker_start; //      
	var $marker_end; //      
	var $marker_previous; //      
	var $marker_next; //      
	var $delimiter; //   
	var $style; //   ( style  <a>)
	var $style_selected; //   
	var $user_class; //    ( class  <a>)
	var $user_class_selected; //    
	
	function navigator($total, $elements_to_page, $page) {
	global $locale;
		$this -> view_pages = true;
		$this -> total = $total;
		$this -> elements_to_page = $elements_to_page;
		$this -> groups = 5;
		$this -> view_to_end = true;
		$this -> view_to_next = true;
		$this -> marker_start = "<<";
		$this -> marker_end = ">>";
		$this -> marker_previous = "<";
		$this -> marker_next = ">";
		$this -> delimiter = "";
		$this -> style = "";
		$this -> style_selected = "";
		$this -> user_class = "";
		$this -> user_class_selected = "";
		$this -> locale_1 = $locale['global_092'];
        $this -> locale_2 = $locale['global_093'];
		
		if (isset($page) && preg_match("/^([0-9]+)$/", $page)) {
			$this -> current_page = $page;
		}
		else {
			$this -> current_page = 1;
		}
	}
	
	function print_navigator($url) {
		//   
		$pages = ceil($this -> total/$this -> elements_to_page);
		
		if ($this -> groups%2 == 0) {
			$minus = $this -> groups/2 - 1;
			$plus = $this -> groups/2;
		}
		else {
			$minus = ceil($this -> groups/2) - 1;
			$plus = $minus;
		}
		
		if ($pages > $this -> groups) {
			$start_page = $this -> current_page - $minus;
			$end_page = $this -> current_page + $plus;
		
			if ($start_page <= 1) {
				$start_page = 1;
				$end_page = $start_page + $this -> groups - 1;
			}
			if ($end_page >= $pages) {
				$start_page = $pages - $this -> groups + 1;
				$end_page = $pages;
			}
		}
		else {
			$start_page = 1;
			$end_page = $pages;
		}
		
		$to_end = "<a href=".$url."page=$pages style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_end."</a>";
		$to_start = "<a href=".$url."page=1 style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_start."</a>";
		$next = "<a href=".$url."page=".($this -> current_page + 1)." style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_next."</a>";
		$previous = "<a href=".$url."page=".($this -> current_page - 1)." style='".$this -> style."' class='".$this -> user_class."'>".$this -> marker_previous."</a>";
		
		if ($end_page == $pages) {
			$next = "";
			$to_end = "";
		}
		
		if ($start_page == 1) {
			$previous = "";
			$to_start = "";
		}
		
		echo "<div class='pagenav'>".$this -> locale_1.$this -> current_page.$this -> locale_2.$pages."&nbsp;&nbsp;";
		echo "".($this -> view_to_end == true) ? $to_start : "";
		echo ($this -> view_to_next == true) ? $previous : "";
		for ($i = $start_page; $i <= $end_page; $i++) {
			$start = ($i - 1) * $this -> elements_to_page + 1;
			$end = $start + $this -> elements_to_page - 1;
			
			$current_delimiter = $this -> delimiter; //  
			if ($i == $end_page) { //     
				$current_delimiter = "";
			}
			
			//          
			if ($end > $this -> total) {
				$end = $this -> total;
			}
			
			if ($this -> current_page == $i) {
				if ($this -> view_pages == true) {
					echo "<span style='".$this -> style_selected."' class='".$this -> user_class_selected."'>".$i."</span>".$current_delimiter;
				}
				else {
					echo "<span style='".$this -> style_selected."' class='".$this -> user_class_selected."'>".$start."-".$end."</span>".$current_delimiter;
				}
			}
			else {
				if ($this -> view_pages == true) {
					echo "<a href=".$url."page=$i style='".$this -> style."' class='".$this -> user_class."'>".$i."</a>".$current_delimiter;
				}
				else {
					echo "<a href=".$url."page=$i style='".$this -> style."' class='".$this -> user_class."'>".$start."-".$end."</a>".$current_delimiter;				
				}
			}
		}
		echo ($this -> view_to_next == true) ? $next : "";
		echo ($this -> view_to_end == true) ? $to_end : "</div>";
	}
	
	function get_current_page() {
		return $this -> current_page;
	}
}

//  

function power_navigator($num, $elements, $page, $url) {
global $locale;

$total = $num; //    
$elements_to_page = $elements; //     

$nav = new navigator($total, $elements_to_page, $page); // 

//          
$start_row = ($nav -> get_current_page() * $elements_to_page) - $elements_to_page + 1; // ,     

//   
$nav -> view_to_end = true; //      
$nav -> view_to_next = true; //      

//   
$nav -> marker_start = "&laquo;".$locale['PF719']; //  
$nav -> marker_end = $locale['PF720']."&raquo;"; //  
$nav -> marker_previous = "<"; //  
$nav -> marker_next = ">"; //  
//$nav -> delimiter = "&nbsp;&nbsp;|&nbsp;&nbsp;"; // 
//$nav -> style = "font-family: Arial; color: #a00"; //  
//$nav -> style_selected = "font-family: Arial; color: #aaa"; //   

// 
$nav -> print_navigator($url);
}

?>