<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: viewforum.php
| Author: Nick Jones (Digitanium)
+--------------------------------------------------------+
| Power Fusion Forum v.2.2.0
| Copyright  2008-2009 Powered by .:MeF:.
| URL: http://x-iweb.ru/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../maincore.php";
if (isset($_GET['read']) && ($_GET['read']) == 'rss') { require_once FORUM."includes/rss_feeds.php"; die(); }
if ((isset($_GET['feeds'])) && (isnum($_GET['feeds']))) { require_once FORUM."includes/rss_feeds.php"; die(); }
if (isset($_GET['attachments']) && (isnum($_GET['attachments']))) { require_once FORUM."includes/attachments.php"; die(); }
require_once FORUM."includes/function.php";
require_once THEMES."templates/header.php";
require_once LOCALE.LOCALESET."forum/main.php";
require_once LOCALE.LOCALESET."forum/logs.php";
add_to_head("<script src='includes/js/attachments.js' type=\"text/javascript\"></script>");

if (!isset($lastvisited) || !isnum($lastvisited)) { $lastvisited = time(); }

if (!isset($_GET['forum_id']) || !isnum($_GET['forum_id'])) { redirect("index.php"); }

if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

   $threads_per_page = $forum_settings['threads_num'];
   $posts_per_page = $forum_settings['posts_num'];
   $attach_access = $forum_settings['attach_access'] == 1 ? (iGUEST || iMEMBER) : iMEMBER;

   set_title($locale['400']." - ".$settings['sitename']);

$result = dbquery(
	"SELECT f.*, f2.forum_name AS forum_cat_name FROM ".DB_FORUMS." f
	LEFT JOIN ".DB_FORUMS." f2 ON f.forum_cat=f2.forum_id
	WHERE f.forum_id='".$_GET['forum_id']."'"
);
if (dbrows($result)) {
	$fdata = dbarray($result);
	if (!checkgroup($fdata['forum_access']) || !$fdata['forum_cat']) { redirect("index.php"); }
} else {
	redirect("index.php");
}

if ($fdata['forum_post']) {
	//$can_post = checkgroup($fdata['forum_post']);
	$can_post = true;
} else {
	$can_post = false;
}

//locale dependent forum buttons
if (is_array($fusion_images)) {
	if ($settings['locale'] != "English") {
		$newpath = "";
		$oldpath = explode("/", $fusion_images['newthread']);
		for ($i = 0; $i < count($oldpath) - 1; $i++) {
			$newpath .= $oldpath[$i]."/";
		}
		if (is_dir($newpath.$settings['locale'])) {
			redirect_img_dir($newpath, $newpath.$settings['locale']."/");
		}
	}
}
//locale dependent forum buttons

if (iSUPERADMIN) { define("iMOD", true); }

if (!defined("iMOD") && iMEMBER && $fdata['forum_moderators']) {
	$mod_groups = explode(".", $fdata['forum_moderators']);
	foreach ($mod_groups as $mod_group) {
		if (!defined("iMOD") && checkgroup($mod_group)) { define("iMOD", true); }
	}
}

if (!defined("iMOD")) { define("iMOD", false); }

    //$caption = $fdata['forum_cat_name']." :: ".$fdata['forum_name'];
    $words = ($fdata['forum_name']." ".$locale['400']);
	$keywords = ""; $arry_words = explode(" ", $words);
	foreach ($arry_words as $print_arry_words) { $keywords .= trim($print_arry_words).", "; }
	
    rss_feeds("viewforum", $fdata['forum_name'], true);
    set_title($fdata['forum_name']." | ".$locale['400']." - ".$settings['sitename']);
	set_meta("keywords", $keywords);
	set_meta("description", $locale['450']." ".$fdata['forum_name']." | ".$locale['400']." - ".$settings['sitename']);
	
	if ($fdata['forum_password']) {
	if (!isset($_COOKIE[COOKIE_PREFIX.'forum_password_'.$_GET['forum_id']]) || ($_COOKIE[COOKIE_PREFIX.'forum_password_'.$_GET['forum_id']] != $fdata['forum_password'])) { redirect(FORUM."password.php?error=".$_GET['forum_id'].""); }
	}

if (isset($_POST['delete_threads']) && iMOD) {
	$thread_ids = "";
	if (isset($_POST['check_mark']) && is_array($_POST['check_mark'])) {
		foreach ($_POST['check_mark'] as $thisnum) {
			if (isnum($thisnum)) { $thread_ids .= ($thread_ids ? "," : "").$thisnum; }
		}
	}
	if ($thread_ids) {
		$result = dbquery("SELECT post_author, COUNT(post_id) as num_posts FROM ".DB_POSTS." WHERE thread_id IN (".$thread_ids.") GROUP BY post_author");
		if (dbrows($result)) {
			while ($pdata = dbarray($result)) {
				$result2 = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts-".$pdata['num_posts']." WHERE user_id='".$pdata['post_author']."'");
			}
		}
		$result = dbquery("SELECT attach_name FROM ".DB_FORUM_ATTACHMENTS." WHERE thread_id IN (".$thread_ids.")");
		if (dbrows($result)) {
			while ($data = dbarray($result)) {
				unlink(FORUM."attachments/".$data['attach_name']);
			}
		}
		$result = dbquery("DELETE FROM ".DB_POSTS." WHERE thread_id IN (".$thread_ids.")");
		$deleted_posts = mysql_affected_rows();
		$result = dbquery("DELETE FROM ".DB_THREADS." WHERE thread_id IN (".$thread_ids.")");
		$deleted_threads = mysql_affected_rows();
		$result = dbquery("DELETE FROM ".DB_THREAD_NOTIFY." WHERE thread_id IN (".$thread_ids.")");
		$result = dbquery("DELETE FROM ".DB_FORUM_ATTACHMENTS." WHERE thread_id IN (".$thread_ids.")");
		$result = dbquery("DELETE FROM ".DB_FORUM_POLL_OPTIONS." WHERE thread_id IN (".$thread_ids.")");
		$result = dbquery("DELETE FROM ".DB_FORUM_POLL_VOTERS." WHERE thread_id IN (".$thread_ids.")");
		$result = dbquery("DELETE FROM ".DB_FORUM_POLLS." WHERE thread_id IN (".$thread_ids.")");
		$result = dbquery("SELECT post_datestamp, post_author FROM ".DB_POSTS." WHERE forum_id='".$_GET['forum_id']."' ORDER BY post_datestamp DESC LIMIT 1");
		if (dbrows($result)) {
			$ldata = dbarray($result);
			$forum_lastpost = "forum_lastpost='".$ldata['post_datestamp']."', forum_lastuser='".$ldata['post_author']."'";
		} else {
			$forum_lastpost = "forum_lastpost='0', forum_lastuser='0'";
		}
		$result = dbquery("UPDATE ".DB_FORUMS." SET ".$forum_lastpost.", forum_postcount=forum_postcount-".$deleted_posts.", forum_threadcount=forum_threadcount-".$deleted_threads." WHERE forum_id='".$_GET['forum_id']."'");
	}
	$rows_left = dbcount("(thread_id)", "threads", "forum_id='".$_GET['forum_id']."'") - 3;
	if ($rows_left <= $_GET['rowstart'] && $_GET['rowstart'] > 0) {
		$_GET['rowstart'] = ((ceil($rows_left / $threads_per_page)-1) * $threads_per_page);
	}
	
	write_in_log($locale['log304']." [".$locale['log104']." ".$thread_ids."]");
	redirect(FUSION_SELF."?forum_id=".$_GET['forum_id']."&rowstart=".$_GET['rowstart']);
}

if (isset($_POST['lock_threads']) && iMOD){
	$thread_ids = "";
	if (isset($_POST['check_mark']) && is_array($_POST['check_mark'])) {
		foreach ($_POST['check_mark'] as $thisnum) {
			if (isnum($thisnum)) { $thread_ids .= ($thread_ids ? "," : "").$thisnum; }
		}
	}
	if ($thread_ids) {
		$result = dbquery("UPDATE ".DB_THREADS." SET thread_locked='1' WHERE thread_id IN (".$thread_ids.")");
	}
	write_in_log($locale['log305']." [".$locale['log104']." ".$thread_ids."]");
	redirect(FUSION_SELF."?forum_id=".$_GET['forum_id']."&rowstart=".$_GET['rowstart']);
}

$rows = dbcount("(thread_id)", DB_THREADS, "forum_id='".$_GET['forum_id']."' AND thread_sticky='0'");

    opentable($locale['450']);
    echo "<!--pre_forum-->\n";

    nav_menu("viewforum", $_GET['forum_id'], false, $locale['450']);

    if ($forum_settings['info_panel'] == "1") { require_once FORUM."includes/panels/information.php"; }

    if (isset($_GET['forum_id']) > "0") { 
	add_to_head("<script type=\"text/javascript\" src=\"includes/js/thickbox/thickbox.js\"></script>");
	add_to_head("<link href=\"includes/js/thickbox/thickbox.css\" rel=\"stylesheet\" type=\"text/css\" media=\"all\">");
	require_once FORUM."includes/view_forums.php"; 
	showsubforums($_GET['forum_id'], $lastvisited);
	}

if ($fdata['forum_subcat'] != "1") {

if ($rows > $threads_per_page || (/*iMEMBER &&*/ $can_post)) {
	echo "<table cellspacing='0' cellpadding='0' width='100%'>\n<tr>\n";
	if ($rows > $threads_per_page) { echo "<td style='padding:4px 0px 4px 0px'>".makePageNav($_GET['rowstart'],$threads_per_page,$rows,3,FUSION_SELF."?forum_id=".$_GET['forum_id']."&amp;")."</td>\n"; }
	if (/*iMEMBER &&*/ $can_post) { echo "<td align='right' style='padding:4px 0px 4px 0px'><a href='post.php?action=newthread&amp;forum_id=".$_GET['forum_id']."'><img src='".get_image("newthread")."' alt='".$locale['566']."' style='border:0px;' /></a></td>\n"; }
	echo "</tr>\n</table>\n";
}

if (iMOD) { echo "<form name='mod_form' method='post' action='".FUSION_SELF."?forum_id=".$_GET['forum_id']."&amp;rowstart=".$_GET['rowstart']."'>\n"; }

echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border forum_table'>\n<tr>\n";
echo "<td width='1%' colspan='2' class='tbl2' style='white-space:nowrap'>&nbsp;</td>\n"; //
echo "<td class='tbl2'>".$locale['451']."</td>\n";
echo "<td width='1%' class='tbl2' style='white-space:nowrap'>".$locale['452']."</td>\n";
echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['453']."</td>\n";
echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".$locale['454']."</td>\n";
echo "<td width='1%' class='tbl2' style='white-space:nowrap'>".$locale['404']."</td>\n</tr>\n";

    $threadcount = 0;
	
if ($_GET['rowstart'] == 0) {
	$result = dbquery(
		"SELECT t.*, tu1.user_name AS user_author, tu2.user_name AS user_lastuser FROM ".DB_THREADS." t
		LEFT JOIN ".DB_USERS." tu1 ON t.thread_author = tu1.user_id
		LEFT JOIN ".DB_USERS." tu2 ON t.thread_lastuser = tu2.user_id
		WHERE t.forum_id='".$_GET['forum_id']."' AND thread_sticky='1' ORDER BY thread_lastpost DESC"
	);
	if (dbrows($result)) {
		while ($tdata = dbarray($result)) {
			echo "<tr>\n";
			if ($tdata['thread_locked']) {
				echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'><img src='".get_image("folderlock")."' alt='".$locale['564']."' /></td>";
			} else {
				if ($tdata['thread_lastpost'] > $lastvisited) {
					$thread_match = $tdata['thread_id']."\|".$tdata['thread_lastpost']."\|".$fdata['forum_id'];
					if (iMEMBER && preg_match("(^\.{$thread_match}$|\.{$thread_match}\.|\.{$thread_match}$)", $userdata['user_threads'])) {
						$folder = "<img src='".get_image("stickythread")."' alt='".$locale['474']."' />";
					} else {
						$folder = "<img src='".get_image("foldernew")."' alt='".$locale['560']."' />";
					}
				} else {
					$folder = "<img src='".get_image("stickythread")."' alt='".$locale['474']."' />";
				}
				echo "<td align='center' width='25' class='tbl2'>$folder</td>";
			}

		echo "<td align='center' class='tbl2'><img src='images/post_icons/".$tdata['thread_icon']."' alt='".$locale['PF600']."' style='border: 0;' /></td>"; //
		echo "<td width='100%' class='tbl1'>";
		
		$reps = ceil($tdata['thread_postcount'] / $posts_per_page);
		$threadsubject = "<a href='viewthread.php?thread_id=".$tdata['thread_id']."'>".$tdata['thread_subject']."</a>";
		if ($reps > 1) { $ctr = 1; $pages = "";
			while ($ctr <= $reps) {
			$pnum = "<a href='viewthread.php?thread_id=".$tdata['thread_id']."&amp;page=$ctr'>$ctr</a> ";
			$pages = $pages.$pnum; $ctr++;
			}
			$threadsubject .= "<br />(".$locale['455'].trim($pages).")";
		}
		
		echo "<table width='100%' cellpadding='0' border='0'><tr>\n";
        echo "<td align='left'>\n";
		if (iMOD) { echo "<div style='float:left;'><input type='checkbox' name='check_mark[]' value='".$tdata['thread_id']."' />&nbsp;</div>\n"; }
		echo "<div style='float:left;'>".$threadsubject."";
		if ($tdata['thread_description'] != '') { echo "<br /><span class='small'><i>- ".$tdata['thread_description']."</i></span>"; } echo "</div>";
		echo "</td>\n";
		echo "<td align='right'>\n";

		if ($tdata['thread_poll'] == "1") { echo "<span class='small' style='margin: 0em 0.4em 0em 0em;'><img src='".get_forum_image("poll")."' alt='".$locale['PF662']."' style='vertical-align:middle; border: 0;' /></span>\n"; }

		if ($attach_access) { 
		$attached = dbcount("(attach_id)", DB_FORUM_ATTACHMENTS, "thread_id='".$tdata['thread_id']."'");
		if ($attached != 0) { echo "<span class='small' style='margin: 0em 0.4em 0em 0em;'><a onclick=\"openPopupWin(".$tdata['thread_id']."); return false;\" title='".$locale['PF666'].": {$attached}'><img src='".get_forum_image("view_attach")."' alt='".$locale['PF666'].": {$attached}' style='cursor: pointer; vertical-align:middle; border: 0;' /></a></span>\n"; }
		}

		if ($forum_settings['rating_threads'] == "1") { echo "<div class='small' style='margin: 0.3em 0.4em 0em 0em;'>".rating($tdata['thread_id'])."</div>\n"; }
		echo "</td>\n";
		echo "</tr></table>\n";

		echo "</td>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><a href='".BASEDIR."profile.php?lookup=".$tdata['thread_author']."'>".$tdata['user_author']."</a></td>\n";
		echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>".$tdata['thread_views']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".($tdata['thread_postcount']-1)."</td>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>";
		echo "<div style='float:left;'>".showdate("forumdate", $tdata['thread_lastpost'])."<br />\n";
		echo "<span class='small'>".$locale['406']."<a href='".BASEDIR."profile.php?lookup=".$tdata['thread_lastuser']."'>".$tdata['user_lastuser']."</a></span></div>\n";

		$result_p = dbquery("SELECT p.post_id FROM ".DB_POSTS." p WHERE p.thread_id=".$tdata['thread_id']." ORDER BY p.post_datestamp DESC LIMIT 1");
	    $pdata = dbarray($result_p);
		echo "<div style='float:right;'><a href='forum/viewthread.php?thread_id=".$tdata['thread_id']."&amp;pid=".$pdata['post_id']."#post_".$pdata['post_id']."' title='".$locale['PF658']."'><img alt='".$locale['PF658']."' src='".get_forum_image("new_post")."' style='vertical-align:middle; border: 0;' /></a></div>\n";
		
		echo "</td>\n";
		echo "</tr>\n";
		}
		$threadcount = dbrows($result);
	}
}
	
    $counter = 0;
	
if ($rows) {

	if(isset($_POST['goSearch'])){
		$order_by = (isset($_POST['order_by']) ? stripinput($_POST['order_by']) : "");
		$sort_by = (isset($_POST['sort_by']) && $_POST['sort_by'] == "desc" ? "desc" : "asc");
		$timelimit = (isset($_POST['time']) && isNum($_POST['time']) ? ($_POST['time'] == "100" ? floor(time()/(24*3600)) : $_POST['time']) : "");
		$sort = "AND fp.post_datestamp>".(time()-($timelimit*24*3600));
		$result = dbquery(
			"SELECT t.*, count(fp.post_id) as thread_replies, fp.post_datestamp, tu1.user_name AS user_author, tu2.user_name AS user_lastuser FROM ".DB_THREADS." t
			LEFT JOIN ".DB_USERS." tu1 ON t.thread_author = tu1.user_id
			LEFT JOIN ".DB_USERS." tu2 ON t.thread_lastuser = tu2.user_id
			LEFT JOIN ".DB_POSTS." fp ON fp.thread_id=t.thread_id
			WHERE t.forum_id='".$_GET['forum_id']."' AND thread_sticky='0' $sort GROUP BY fp.thread_id 
			ORDER BY $order_by $sort_by, fp.post_id asc 
			LIMIT ".$_GET['rowstart'].",$threads_per_page"
		);
	} elseif(isset($_GET['order_by'])){
		$order_by = (isset($_GET['order_by']) ? stripinput($_GET['order_by']) : "");
		$sort_by = (isset($_GET['sort_by']) && $_GET['sort_by'] == "desc" ? "desc" : "asc");
		$timelimit = (isset($_GET['time']) && isNum($_GET['time']) ? ($_GET['time'] == "100" ? floor(time()/(24*3600)) : $_GET['time']) : "");
		$sort = "AND fp.post_datestamp>".(time()-($timelimit*24*3600));
		$result = dbquery(
			"SELECT t.*, count(fp.post_id) as thread_replies, fp.post_datestamp, tu1.user_name AS user_author, tu2.user_name AS user_lastuser FROM ".DB_THREADS." t
			LEFT JOIN ".DB_USERS." tu1 ON t.thread_author = tu1.user_id
			LEFT JOIN ".DB_USERS." tu2 ON t.thread_lastuser = tu2.user_id
			LEFT JOIN ".DB_POSTS." fp ON fp.thread_id=t.thread_id
			WHERE t.forum_id='".$_GET['forum_id']."' AND thread_sticky='0' $sort GROUP BY fp.thread_id 
			ORDER BY $order_by $sort_by, fp.post_id asc 
			LIMIT ".$_GET['rowstart'].",$threads_per_page"
		);
	} else {
		$sort = "ORDER BY thread_lastpost DESC";
		if (!isset($_POST['time']) || !isnum($_POST['time'])) { $_POST['time'] = 100; }
		$result = dbquery(
			"SELECT t.*, tu1.user_name AS user_author, tu2.user_name AS user_lastuser FROM ".DB_THREADS." t
			LEFT JOIN ".DB_USERS." tu1 ON t.thread_author = tu1.user_id
			LEFT JOIN ".DB_USERS." tu2 ON t.thread_lastuser = tu2.user_id
			WHERE t.forum_id='".$_GET['forum_id']."' AND thread_sticky='0' $sort LIMIT ".$_GET['rowstart'].",$threads_per_page"
		);
	}
	
	$numrows = dbrows($result);
	
	while ($tdata = dbarray($result)) {
		$thread_match = $tdata['thread_id']."\|".$tdata['thread_lastpost']."\|".$fdata['forum_id'];
		echo "<tr>\n";
		if ($tdata['thread_locked']) {
			echo "<td align='center' width='25' class='tbl2'><img src='".get_image("folderlock")."' alt='".$locale['564']."' /></td>";
		} else  {
			if ($tdata['thread_lastpost'] > $lastvisited) {
				if (iMEMBER && preg_match("(^\.{$thread_match}$|\.{$thread_match}\.|\.{$thread_match}$)", $userdata['user_threads'])) {
					$folder = "<img src='".get_image("folder")."' alt='".$locale['561']."' />";
				} else {
					$folder = "<img src='".get_image("foldernew")."' alt='".$locale['560']."' />";
				}
			} else {
				$folder = "<img src='".get_image("folder")."' alt='".$locale['561']."' />";
			}
			echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>$folder</td>";
		}

		echo "<td align='center' class='tbl2'><img src='images/post_icons/".$tdata['thread_icon']."' alt='".$locale['PF600']."' style='border: 0;' /></td>"; //
		echo "<td width='100%' class='tbl1'>";
		
		$reps = ceil($tdata['thread_postcount'] / $posts_per_page);
		$threadsubject = "<a href='viewthread.php?thread_id=".$tdata['thread_id']."'>".$tdata['thread_subject']."</a>";
		if ($reps > 1) { $ctr = 1; $pages = "";
			while ($ctr <= $reps) {
			$pnum = "<a href='viewthread.php?thread_id=".$tdata['thread_id']."&amp;page=$ctr'>$ctr</a> ";
			$pages = $pages.$pnum; $ctr++;
			}
			$threadsubject .= "<br />(".$locale['455'].trim($pages).")";
		}
		
		echo "<table width='100%' cellpadding='0' border='0'><tr>\n";
        echo "<td align='left'>\n";
		if (iMOD) { echo "<div style='float:left;'><input type='checkbox' name='check_mark[]' value='".$tdata['thread_id']."' />&nbsp;</div>\n"; }
		echo "<div style='float:left;'>".$threadsubject."";
		if ($tdata['thread_description'] != '') { echo "<br /><span class='small'><i>- ".$tdata['thread_description']."</i></span>"; } echo "</div>";
		echo "</td>\n";
		echo "<td align='right'>\n";

		if ($tdata['thread_poll'] == "1") { echo "<span class='small' style='margin: 0em 0.4em 0em 0em;'><img src='".get_forum_image("poll")."' alt='".$locale['PF662']."' style='vertical-align:middle; border: 0;' /></span>\n"; }

		if ($attach_access) {
		$attached = dbcount("(attach_id)", DB_FORUM_ATTACHMENTS, "thread_id='".$tdata['thread_id']."'");
		if ($attached != 0) { echo "<span class='small' style='margin: 0em 0.4em 0em 0em;'><a onclick=\"openPopupWin(".$tdata['thread_id']."); return false;\" title='".$locale['PF666'].": {$attached}'><img src='".get_forum_image("view_attach")."' alt='".$locale['PF666'].": {$attached}' style='cursor: pointer; vertical-align:middle; border: 0;' /></a></span>\n"; }
		}

		if ($forum_settings['rating_threads'] == "1") { echo "<div class='small' style='margin: 0.3em 0.4em 0em 0em;'>".rating($tdata['thread_id'])."</div>\n"; }
		echo "</td>\n";
		echo "</tr></table>\n";
		
		echo "</td>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><a href='".BASEDIR."profile.php?lookup=".$tdata['thread_author']."'>".$tdata['user_author']."</a></td>\n";
		echo "<td align='center' width='1%' class='tbl1' style='white-space:nowrap'>".$tdata['thread_views']."</td>\n";
		echo "<td align='center' width='1%' class='tbl2' style='white-space:nowrap'>".($tdata['thread_postcount']-1)."</td>\n";
		echo "<td width='1%' class='tbl1' style='white-space:nowrap'>";
		echo "<div style='float:left;'>".showdate("forumdate", $tdata['thread_lastpost'])."<br />\n";
		echo "<span class='small'>".$locale['406']."<a href='".BASEDIR."profile.php?lookup=".$tdata['thread_lastuser']."'>".$tdata['user_lastuser']."</a></span></div>\n";

		$result_p = dbquery("SELECT p.post_id FROM ".DB_POSTS." p WHERE p.thread_id=".$tdata['thread_id']." ORDER BY p.post_datestamp DESC LIMIT 1");
	    $pdata = dbarray($result_p);
		echo "<div style='float:right;'><a href='viewthread.php?thread_id=".$tdata['thread_id']."&amp;pid=".$pdata['post_id']."#post_".$pdata['post_id']."' title='".$locale['PF658']."'><img alt='".$locale['PF658']."' src='".get_forum_image("new_post")."' style='vertical-align:middle; border: 0;' /></a></div>\n";
		
		echo "</td>\n";
		echo "</tr>\n";
		$threadcount++;
		$counter++;
	}

	echo "</table><!--sub_forum_table-->\n";
	
} else {
	if (!$threadcount) {
		echo "<tr>\n<td colspan='7' class='tbl1' style='text-align:center'>".$locale['456']."</td>\n</tr>\n</table><!--sub_forum_table-->\n";
	} else {
		echo "</table><!--sub_forum_table-->\n";
	}
}
     
	echo "<table cellspacing='0' cellpadding='0' width='100%'>\n";
if (iMOD) {
	if ($threadcount || $rows) {
	    echo "<tr>\n<td style='padding-top:5px'>\n";
		echo "<a href='#' onclick=\"javascript:setChecked('mod_form','check_mark[]',1);return false;\">".$locale['460']."</a> ::\n";
		echo "<a href='#' onclick=\"javascript:setChecked('mod_form','check_mark[]',0);return false;\">".$locale['461']."</a></td>\n";
		echo "<td align='right' style='padding-top:5px'><input type='submit' name='delete_threads' value='".$locale['462']."' class='button' onclick=\"return confirm('".$locale['463']."');\" />&nbsp;&nbsp;<input type='submit' name='lock_threads' value='".$locale['PF627']."' class='button' onclick=\"return confirm('".$locale['PF627']."?');\" /></td></tr>\n";
	}
}

	if (/*iMEMBER ||*/ $rows > $threads_per_page) { echo "<tr>\n"; }
	if ($rows > $threads_per_page) { echo "<td align='left' style='padding-top:5px'>".makePageNav($_GET['rowstart'],$threads_per_page,$rows,3,FUSION_SELF."?forum_id=".$_GET['forum_id']."&amp;")."</td>\n"; }
	
	if (/*iMEMBER &&*/ $can_post) { 
	if ($rows > $threads_per_page) { echo $colspan = ""; } else { $colspan = "colspan='2'"; }
	echo "<td $colspan align='right' style='padding-top:5px'>";
	echo "<a href='post.php?action=newthread&amp;forum_id=".$_GET['forum_id']."'><img src='".get_image("newthread")."' alt='".$locale['566']."' style='border:0px;' /></a></td>\n"; }
	if (/*iMEMBER ||*/ $rows > $threads_per_page) { echo "</tr>\n"; }
	echo "</table>\n";

	echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl' style='padding: 0.8em 0em 0.8em 0em;'>";
	echo "<tr>\n<td class='forum-caption' style='text-align:left'>".$locale['PF643']."</td>\n</tr>\n";

	$totalThreads = dbcount("(thread_id)", DB_THREADS, "forum_id='".$_GET['forum_id']."' and thread_sticky='0'");
	if(isset($_POST['order_by'])){
		$_POST['order_by'] = $_POST['order_by'];
	} elseif(isset($_GET['order_by'])){
		$_POST['order_by'] = $_GET['order_by'];
	} else {
		$_POST['order_by'] = "";
	}
	if(isset($_POST['sort_by'])){
		$_POST['sort_by'] = $_POST['sort_by'];
	} elseif(isset($_GET['sort_by'])){
		$_POST['sort_by'] = $_GET['sort_by'];
	} else {
		$_POST['sort_by'] = "";
	}
	if(isset($_POST['time'])){
		$_POST['time'] = $_POST['time'];
	} elseif(isset($_GET['time'])){
		$_POST['time'] = $_GET['time'];
	} else {
		$_POST['time'] = "";
	}
	$orderByList = "<select name='order_by' class='textbox'>
		<option value='thread_lastpost'".($_POST['order_by'] == "thread_lastpost" ? " SELECTED" : "").">".$locale['579']."</option>
		<option value='thread_subject'".($_POST['order_by'] == "thread_subject" ? " SELECTED" : "").">".$locale['580']."</option>
		<option value='user_author'".($_POST['order_by'] == "user_author" ? " SELECTED" : "").">".$locale['581']."</option>
		<option value='thread_replies'".($_POST['order_by'] == "thread_replies" ? " SELECTED" : "").">".$locale['582']."</option>
		<option value='thread_views'".($_POST['order_by'] == "thread_views" ? " SELECTED" : "").">".$locale['583']."</option>
		<option value='post_datestamp'".($_POST['order_by'] == "thread_lastpost" ? " SELECTED" : "").">".$locale['584']."</option>
		<option value='user_lastuser'".($_POST['order_by'] == "user_lastuser" ? " SELECTED" : "").">".$locale['585']."</option>
	</select>\n";
	$sortByList = "<select name='sort_by' class='textbox'>
		<option value='desc'".($_POST['sort_by'] == "desc" ? " SELECTED" : "").">".$locale['586']."</option>
		<option value='asc'".($_POST['sort_by'] == "asc" ? " SELECTED" : "").">".$locale['587']."</option>
	</select>\n";
	$timeList = "<select name='time' class='textbox'>
		<option value='1'".($_POST['time'] == "1" ? " SELECTED" : "").">".$locale['588']."</option>
		<option value='5'".($_POST['time'] == "5" ? " SELECTED" : "").">".$locale['589']."</option>
		<option value='7'".($_POST['time'] == "7" ? " SELECTED" : "").">".$locale['590']."</option>
		<option value='10'".($_POST['time'] == "10" ? " SELECTED" : "").">".$locale['591']."</option>
		<option value='15'".($_POST['time'] == "15" ? " SELECTED" : "").">".$locale['592']."</option>
		<option value='20'".($_POST['time'] == "20" ? " SELECTED" : "").">".$locale['593']."</option>
		<option value='25'".($_POST['time'] == "25" ? " SELECTED" : "").">".$locale['594']."</option>
		<option value='30'".($_POST['time'] == "30" ? " SELECTED" : "").">".$locale['595']."</option>
		<option value='60'".($_POST['time'] == "60" ? " SELECTED" : "").">".$locale['596']."</option>
		<option value='90'".($_POST['time'] == "90" ? " SELECTED" : "").">".$locale['597']."</option>
		<option value='100'".($_POST['time'] == "100" ? " SELECTED" : "").">".$locale['598']."</option>
	</select>\n";
	
	$columns = 7;
	echo "<tr><td colspan='".$columns."' class='forum-caption' style='padding:7px;text-align:center;'>\n";
	echo "<form action='".FUSION_SELF."?forum_id=".$_GET['forum_id']."' method='post' name='sortForm'>".$locale['573'].$counter.$locale['574'].$totalThreads.$locale['575'].$orderByList.$locale['576'].$sortByList.$locale['577'].$timeList."&nbsp;<input type='submit' name='goSearch' value='".$locale['578']."' class='button'></form>\n";
	echo "</td></tr>\n";
	echo "</table>\n";

	if (iMOD) {
	echo "</form>\n";
	    if ($threadcount || $rows) {
		    echo "<script type='text/javascript'>\n"."function setChecked(frmName,chkName,val) {\n";
		    echo "dml=document.forms[frmName];\n"."len=dml.elements.length;\n"."for(i=0;i < len;i++) {\n";
		    echo "if(dml.elements[i].name == chkName) {\n"."dml.elements[i].checked = val;\n}\n}\n}\n";
		    echo "</script>\n";
	    }
    }
}
	
	echo "<table cellpadding='0' cellspacing='0' width='100%' border='0'><tr>\n";
	echo "<td align='left'>\n";

    echo "<div style='padding-top:5px'>\n";
        $forum_cat = 0;
    echo "<select name='jump_id' class='textbox' style='width:225px;' onchange=\"jumpforum(this.options[this.selectedIndex].value);\">";
    //echo "<option value='0'".($forum_cat == 0 ? " selected" : "").">".$locale['540']."</option>";
	
    function catSelect($cats_id = 0, $chort = '') {
    global $forum_cat;
            if ($cats_id != 0){ $chort.='-'; }
        $result2 = dbquery("SELECT * FROM ".DB_FORUMS." WHERE forum_cat = '".$cats_id."' ORDER BY forum_order ASC");
            while ($data2 = dbarray($result2)) {
        if ($data2['forum_cat'] == 0){ echo "<optgroup label='".$data2['forum_name']."'>\n"; }
        if ($data2['forum_cat'] > 0){ echo "<option value='".$data2['forum_id']."'".($data2['forum_id'] == $_GET['forum_id'] ? " selected" : "").">$chort ".$data2['forum_name']."</option>";  }
	    if ($data2['forum_cat'] == 0){  echo "</optgroup>\n"; }
	
      catSelect($data2['forum_id'], $chort);
            }
    }
        catSelect();
    echo "</select>";
    echo "</div>\n";// 
	
	echo "</td>\n";
	echo "<td align='right' valign='bottom' class='forum'>\n";
    echo "<form name='searchform' method='get' action='".BASEDIR."search.php'>\n";
		echo "<input type='hidden' name='forum_id' value='".$fdata['forum_id']."' />";
		echo "<input type='hidden' name='stype' value='forums' />";
		echo "<input type='hidden' name='method' value='OR' />";
		echo "<input type='hidden' name='datelimit' value='0' />";
		echo "<input type='hidden' name='fields' value='2' />";
		echo "<input type='hidden' name='sort' value='datestamp' />";
		echo "<input type='hidden' name='order' value='0' />";
		echo "<input type='hidden' name='chars' value='50' />";
    echo "<input type='text' name='stext' class='textbox' style='width:150px' />\n";
    echo "<input type='submit' name='search' value='".$locale['550']."' class='button' />\n";
    echo "</form>\n\n";
	echo "</td>\n</tr>\n";
	echo "</table>\n";
	
	echo "<hr /><table cellpadding='0' cellspacing='0' width='100%' border='0'><tr>\n";
	echo "<td width='70%' rowspan='2' align='left' valign='top'>\n";
    echo "<img src='".get_image("foldernew")."' alt='".$locale['560']."' style='vertical-align:middle;' /> - ".$locale['470']."<br />\n";
    echo "<img src='".get_image("folder")."' alt='".$locale['561']."' style='vertical-align:middle;' /> - ".$locale['472']."<br />\n";
    echo "<img src='".get_image("folderlock")."' alt='".$locale['564']."' style='vertical-align:middle;' /> - ".$locale['473']."<br />\n";
    echo "<img src='".get_image("stickythread")."' alt='".$locale['563']."' style='vertical-align:middle;' /> - ".$locale['474']."\n";
    echo "</td>\n";

	if ($fdata['forum_moderators']) {
	$moderators = ""; $user_moder = ""; $i = 1;
	$mod_groups = explode(".", $fdata['forum_moderators']);
			foreach ($mod_groups as $mod_group) {
				if ($moderators) $moderators .= ", ";
				$moderators .= $mod_group<101 ? "<a href='".BASEDIR."profile.php?group_id=".$mod_group."'>".getgroupname($mod_group)."</a>" : getgroupname($mod_group);
				
	            $result_moder = dbquery("SELECT user_id, user_name FROM ".DB_USERS." WHERE user_groups REGEXP('^\\\.{$mod_group}$')");
                while ($data_moder = dbarray($result_moder)) { 
				if ($i >= 2) { $user_moder .= ", "; }
		        $user_moder .= "<a href='".BASEDIR."profile.php?lookup=".$data_moder['user_id']."' class='side'><font color='".user_color($data_moder['user_id'])."'><u>".$data_moder['user_name']."</u></font></a>";
                $i++;
				}		
			}
		if ($user_moder) {
	echo "<td width='30%' valign='top'>\n";
	echo "<table width='100%' cellspacing='1' cellpadding='0' class='tbl' style='float:right;padding: 0.4em 0em 0.8em 0em;'>";
	echo "<tr>\n<td class='forum-caption' style='text-align:left'>".$locale['PF660']."</td>\n</tr>\n";
	echo "<tr><td class='tbl1'>\n";
	echo "<div class='small'>".$user_moder."</div>\n";
	echo "</td></tr>\n";
	echo "</table>\n";
    echo "</td></tr><tr>\n"; }
	}//

	if ($forum_settings['rss_feeds'] == "1") { echo "<td align='right' valign='bottom'>\n";
    echo "<a rel='nofollow' href='".FUSION_SELF."?feeds=".$fdata['forum_id']."' target='_blank'><img src='".get_forum_image("rss")."' alt='RSS' style='border:0;vertical-align:middle' /></a></td>\n"; } //
    echo "</tr>\n</table><!--sub_forum-->\n";
	
	closetable();
	
	echo "<script type='text/javascript'>\n"."function jumpforum(forumid) {\n";
    echo "document.location.href='viewforum.php?forum_id='+forumid;\n}\n";
    echo "</script>\n";

list($threadcount, $postcount) = dbarraynum(dbquery("SELECT COUNT(thread_id), SUM(thread_postcount) FROM ".DB_THREADS." WHERE forum_id='".$_GET['forum_id']."'"));
if(isnum($threadcount) && isnum($postcount)){
	dbquery("UPDATE ".DB_FORUMS." SET forum_postcount='$postcount', forum_threadcount='$threadcount' WHERE forum_id='".$_GET['forum_id']."'");
}

if (iGUEST) { $userdata = 0; }
online_user($userdata['user_id'], $userdata['user_level']);

require_once THEMES."templates/footer.php";
?>